#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x834fb9d3, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x1188e225, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x4d6c3cdf, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x426e7d03, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xd0f1d561, "");
SYMBOL_CRC(drm_atomic_state_init, 0x9781c033, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x2d0e6548, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xa17139bd, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x5520944c, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xe941fcd2, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x92847d7a, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xc0adc86e, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x527639af, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xd25fbf93, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x7852576b, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xf923157c, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xd3a56f3e, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x52d42d29, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xb9b37c6e, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xb3e1d47c, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x00997cf2, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x85153b51, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x89ab79b2, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x7a185a52, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x5a121168, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x4316cc0b, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x92f2d131, "");
SYMBOL_CRC(drm_atomic_check_only, 0xcbd7f651, "");
SYMBOL_CRC(drm_atomic_commit, 0xd5f6f8ae, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x16ab9e32, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x1e935303, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xc5eb33ca, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x14956221, "");
SYMBOL_CRC(drm_state_dump, 0xc1265617, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xb226bb79, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xf61f4a65, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x04ff7e47, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x5e508698, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xd7a5822e, "");
SYMBOL_CRC(drm_is_current_master, 0x4b2fb2f7, "");
SYMBOL_CRC(drm_master_get, 0x4a5832e7, "");
SYMBOL_CRC(drm_file_get_master, 0x76833ffb, "");
SYMBOL_CRC(drm_master_put, 0x7013c7b9, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xc701fa3e, "");
SYMBOL_CRC(drm_master_internal_release, 0x3453cf7b, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xac613071, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xd2630c19, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x66974ac8, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xd73b0fd8, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x344c1a92, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x221545eb, "");
SYMBOL_CRC(drm_bridge_add, 0x4a24bf08, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x94f0acfb, "");
SYMBOL_CRC(drm_bridge_remove, 0xa38b7314, "");
SYMBOL_CRC(drm_bridge_attach, 0x57906dcf, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xf991f77e, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xdb3a5e6d, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xc14dc0a8, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xe584bdce, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xedd74dd5, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xe75694f7, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x93077c27, "");
SYMBOL_CRC(drm_bridge_detect, 0xe7301188, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xb6a2593e, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x8c1f21ac, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x2f737037, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x1a189246, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x251e8055, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0xbf932d64, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x1a3c8918, "");
SYMBOL_CRC(drm_client_register, 0xa4991882, "");
SYMBOL_CRC(drm_client_release, 0xec7c60c8, "");
SYMBOL_CRC(drm_client_dev_unregister, 0x7e533c12, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x117610b0, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x94844cc0, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x1bb2a037, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xb46f028a, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xbb820069, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x372bbda7, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xda3e7f6c, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x7f7bd8d5, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xd6aedb9e, "");
SYMBOL_CRC(drm_client_rotation, 0x246eea01, "");
SYMBOL_CRC(drm_client_modeset_check, 0x2fe464d7, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xd61fa513, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xdcd8ab35, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x0eadf330, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x73b0709a, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xd5ab1ef2, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x6357d414, "");
SYMBOL_CRC(drm_color_lut_check, 0x757065cb, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xf72e316e, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x3a4c24dd, "");
SYMBOL_CRC(drmm_connector_init, 0x728e3d3a, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x98d31f85, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x6a4e8732, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xfecbb424, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x6f064220, "");
SYMBOL_CRC(drm_connector_cleanup, 0x0b3ab6c7, "");
SYMBOL_CRC(drm_connector_register, 0xa10adc3b, "");
SYMBOL_CRC(drm_connector_unregister, 0x5b7beec4, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x1d9f90da, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x83f07f0a, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xc1f8f76e, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x4db0451a, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xd23638e5, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xabe3c88f, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xe0ca182a, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xffa7038b, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xecc5171b, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x364b1368, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x84958332, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x4d87a61c, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x8879cb8f, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x3a944bfb, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xbc4b4211, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x1dee1d9c, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x8607a38c, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x5cf224bc, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xe93f33df, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x8f734cb6, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x8c763ab4, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x6f0143e4, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x238ca782, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0x689ed19d, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xe0bf2a15, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x06eeedc0, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x0ce7a0dd, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xfd1f263e, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x6f193a90, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x05669587, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xbf892cbc, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x3f5b2371, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x1ca3427a, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x1ce6a7c3, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x1a84b5ee, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x1c97b1b0, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x532816f2, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xf6b3d74f, "");
SYMBOL_CRC(drm_crtc_from_index, 0xbef6eb56, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xd4a75446, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x2df2dd7c, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x1ff5bd5b, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xc5aba5ed, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x296c8f34, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x13af8c95, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x6d7ae3e9, "");
SYMBOL_CRC(drm_put_dev, 0x43fafbcb, "");
SYMBOL_CRC(drm_dev_enter, 0x03ec738d, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xe874626c, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xdb3e7d8a, "");
SYMBOL_CRC(drm_dev_alloc, 0xc91bcae3, "");
SYMBOL_CRC(drm_dev_get, 0xd4e097a1, "");
SYMBOL_CRC(drm_dev_put, 0x0e1f888b, "");
SYMBOL_CRC(drm_dev_register, 0xdc351059, "");
SYMBOL_CRC(drm_dev_unregister, 0x86ea7b91, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x38fa23e6, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x1db4d019, "");
SYMBOL_CRC(drm_get_edid, 0x4003fb88, "");
SYMBOL_CRC(drm_edid_read_custom, 0x9ebedfb0, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xcc148e07, "");
SYMBOL_CRC(drm_edid_read, 0xac0b2b3a, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0xda5c2421, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xc9b72347, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x48fe27b1, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xd1de43dc, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x013a7808, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0xfc72a39a, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x9b4a5652, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x79c23199, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x3542a62b, "");
SYMBOL_CRC(drm_add_edid_modes, 0x04663d7c, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xc11bb0c6, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x9bea549e, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x35454e1a, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xe1be10b7, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x87c8047b, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xaab53719, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x4f32e36e, "");
SYMBOL_CRC(drmm_encoder_init, 0x66a39352, "");
SYMBOL_CRC(drm_open, 0x6873fd71, "");
SYMBOL_CRC(drm_release, 0x13fdd4a4, "");
SYMBOL_CRC(drm_release_noglobal, 0xaca0e750, "");
SYMBOL_CRC(drm_read, 0x9725f548, "");
SYMBOL_CRC(drm_poll, 0x838edad5, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0xf731099b, "");
SYMBOL_CRC(drm_event_reserve_init, 0x71f676d9, "");
SYMBOL_CRC(drm_event_cancel_free, 0x578436df, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xf1b84a4c, "");
SYMBOL_CRC(drm_send_event_locked, 0xa8ac5394, "");
SYMBOL_CRC(drm_send_event, 0x9408e779, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0x9a44d376, "");
SYMBOL_CRC(drm_show_fdinfo, 0xc423dd81, "");
SYMBOL_CRC(mock_drm_getfile, 0xbf7e9a81, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x5c32222f, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x48a0938c, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xa3798d1a, "");
SYMBOL_CRC(drm_framebuffer_init, 0x4e380461, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x041f7762, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x509c6ef1, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x82d3a53f, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x3f3bdaa7, "");
SYMBOL_CRC(drm_gem_object_init, 0x6a81a9fe, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x103b0926, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x9e1c8aef, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x058f6bed, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x28d00e7f, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x31fe9455, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x2522a1f4, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x5d68e7eb, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xe4610c58, "");
SYMBOL_CRC(drm_gem_get_pages, 0x35954833, "");
SYMBOL_CRC(drm_gem_put_pages, 0xb4e5cb36, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x442973cc, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xd48fa16a, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x8f09aee6, "");
SYMBOL_CRC(drm_gem_object_release, 0x351d4f94, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xc123578e, "");
SYMBOL_CRC(drm_gem_vm_close, 0xe2f37753, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xac865936, "");
SYMBOL_CRC(drm_gem_mmap, 0x5fe80edd, "");
SYMBOL_CRC(drm_gem_vmap, 0xaf91d927, "");
SYMBOL_CRC(drm_gem_vunmap, 0x75c71d94, "");
SYMBOL_CRC(drm_gem_lock, 0x50945b78, "");
SYMBOL_CRC(drm_gem_unlock, 0x443baf44, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x3c68502c, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x40cd067d, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xa2ec577d, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x318803f7, "");
SYMBOL_CRC(drm_gem_lru_init, 0x8e38e480, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x2bd6654e, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xc453774a, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x5d3c3f46, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x5a7668e3, "");
SYMBOL_CRC(drm_gem_evict, 0x7dbf5a1c, "");
SYMBOL_CRC(drm_noop, 0x720004fb, "");
SYMBOL_CRC(drm_invalid_op, 0x748525c0, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x3c13e8fe, "");
SYMBOL_CRC(drm_ioctl, 0x9aac25bf, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x0df3eb00, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xdc132553, "");
SYMBOL_CRC(drmm_release_action, 0x2cc674a7, "");
SYMBOL_CRC(drmm_kmalloc, 0x99c40f6d, "");
SYMBOL_CRC(drmm_kstrdup, 0x6e871ea1, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x1da58028, "");
SYMBOL_CRC(__drmm_mutex_release, 0x7f24074a, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0xf4df5668, "");
SYMBOL_CRC(drmm_mode_config_init, 0xfb31a435, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x0f3ce899, "");
SYMBOL_CRC(drm_mode_object_find, 0x9df0f791, "");
SYMBOL_CRC(drm_mode_object_put, 0x076f5b3a, "");
SYMBOL_CRC(drm_mode_object_get, 0xbd5f0f71, "");
SYMBOL_CRC(drm_object_attach_property, 0xd7030530, "");
SYMBOL_CRC(drm_object_property_set_value, 0x151769a8, "");
SYMBOL_CRC(drm_object_property_get_value, 0x4ac96fde, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xde91cf99, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xc3002dd5, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x646967d8, "");
SYMBOL_CRC(drm_mode_destroy, 0x05826c7b, "");
SYMBOL_CRC(drm_mode_probed_add, 0x6901bace, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x81f97064, "");
SYMBOL_CRC(drm_cvt_mode, 0x673d8177, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xd8623689, "");
SYMBOL_CRC(drm_gtf_mode, 0xa3a8d47f, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xddfe4ae7, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xc9836e67, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xc227108c, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x18943be3, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xf840ce0f, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x98b27f6c, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xcbde4a00, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x45f6195d, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x697a2c3c, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0xee2dfe13, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x3d72cce3, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xa31f0999, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x7a0e51f5, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x6be752e9, "");
SYMBOL_CRC(drm_modeset_backoff, 0x318701f9, "");
SYMBOL_CRC(drm_modeset_lock_init, 0xb8ee5370, "");
SYMBOL_CRC(drm_modeset_lock, 0x78df6f4b, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x8f5c950e, "");
SYMBOL_CRC(drm_modeset_unlock, 0x5c468b7d, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x17c6a1ca, "");
SYMBOL_CRC(drm_universal_plane_init, 0xdda1b890, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x7598390c, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x285454cc, "");
SYMBOL_CRC(drm_plane_cleanup, 0xdedcdf81, "");
SYMBOL_CRC(drm_plane_from_index, 0x100fe0c7, "");
SYMBOL_CRC(drm_plane_force_disable, 0x17008e76, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xff3158d1, "");
SYMBOL_CRC(drm_plane_has_format, 0xdd679ea5, "");
SYMBOL_CRC(drm_any_plane_has_format, 0xee5efe93, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x156bcbd0, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xbd0ecfe6, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0xb3334db7, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x5d4e8461, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x84089a2e, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xd1e49147, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x06351a5a, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xd5c83af4, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x8ff4a089, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x0b6200b8, "");
SYMBOL_CRC(drm_gem_map_attach, 0x06ba33a1, "");
SYMBOL_CRC(drm_gem_map_detach, 0x5c5f123f, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xe97ac753, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xb32bb15d, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0xd9ac0d1d, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0xdcfe19c9, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x313863d0, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xe382d694, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x7ef2bd26, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xe8d6f633, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x31a2f58a, "");
SYMBOL_CRC(drm_gem_prime_import, 0x258f5e26, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x6cfd0e49, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xeb5190cf, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x5cff5134, "");
SYMBOL_CRC(__drm_dev_dbg, 0x90f11a80, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x5d2dc6e6, "");
SYMBOL_CRC(drm_property_create, 0x6e4c8d0d, "");
SYMBOL_CRC(drm_property_create_enum, 0x32ad0ee5, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xea9eb5aa, "");
SYMBOL_CRC(drm_property_create_range, 0x08c97a6b, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x42113c80, "");
SYMBOL_CRC(drm_property_create_object, 0xd6e3ca69, "");
SYMBOL_CRC(drm_property_create_bool, 0xe4ed1869, "");
SYMBOL_CRC(drm_property_add_enum, 0xe77413e3, "");
SYMBOL_CRC(drm_property_destroy, 0x6f59701a, "");
SYMBOL_CRC(drm_property_create_blob, 0x9056cc89, "");
SYMBOL_CRC(drm_property_blob_put, 0xb5d014fa, "");
SYMBOL_CRC(drm_property_blob_get, 0xa6d19a01, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x74a9b892, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x1dc22e4b, "");
SYMBOL_CRC(drm_property_replace_blob, 0xfed1d235, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xba94a62d, "");
SYMBOL_CRC(drm_syncobj_find, 0xbed69d71, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xa2abdd81, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x1d6d9dd2, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xdbcb8e18, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x3330a962, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x06b3a6db, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x5084a023, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x882b59e4, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x06ad7546, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x125db193, "");
SYMBOL_CRC(drm_class_device_register, 0xded32c8c, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x57cdc55b, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0xf6e0783d, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xe010ccd5, "");
SYMBOL_CRC(drm_vblank_init, 0x3151e5fb, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x5d8b3687, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x0303ad21, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x46db4ccf, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x73054dd9, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x96a63f04, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xa1b96db4, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x91031558, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0xa077b549, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x322fae64, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xb723f90f, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x238127b0, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x0d02ddc6, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x5a604189, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xf734f470, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x15635b89, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x70d20050, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x77b833b6, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0x1d584217, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x551bec95, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x61886cbe, "");
SYMBOL_CRC(drm_handle_vblank, 0xef9697ec, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x6c13c24c, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x1854ac44, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x77676bc0, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x48b7d157, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0xc031b1b9, "");
SYMBOL_CRC(drm_vblank_work_init, 0x9e7eb526, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xc40b34d5, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x63514394, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc5b344fe, "");
SYMBOL_CRC(drm_vma_offset_add, 0x1fdfe622, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xfd2e6cba, "");
SYMBOL_CRC(drm_vma_node_allow, 0x7bd8b2e2, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0xa62f25ce, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xfed60020, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xe0399405, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x90cd747b, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x6db7a29d, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xc9388564, "");
SYMBOL_CRC(drm_writeback_queue_job, 0xc17bdde7, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x05eb3617, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x42de24c8, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x2cb16fa6, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xc009d316, "");
SYMBOL_CRC(drm_panel_init, 0xb5f16a3f, "");
SYMBOL_CRC(drm_panel_add, 0x1fc1db8e, "");
SYMBOL_CRC(drm_panel_remove, 0x583fbc20, "");
SYMBOL_CRC(drm_panel_prepare, 0x5870ae2d, "");
SYMBOL_CRC(drm_panel_unprepare, 0x1cf7b20f, "");
SYMBOL_CRC(drm_panel_enable, 0x86a708f5, "");
SYMBOL_CRC(drm_panel_disable, 0x5fb6b299, "");
SYMBOL_CRC(drm_panel_get_modes, 0x7a956a0c, "");
SYMBOL_CRC(drm_is_panel_follower, 0x16a19672, "");
SYMBOL_CRC(drm_panel_add_follower, 0x4a7893dc, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x4959f1f6, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xd832f891, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x4f4a0861, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xa770ea0d, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xed7a95fc, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x53ba054a, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xa91bcd72, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x8ccf84d7, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x82331e86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0xbbeef734, "try_module_get" },
	{ 0xc627d97c, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x337590b8, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5075ff64, "alloc_anon_inode" },
	{ 0x11814619, "show_class_attr_string" },
	{ 0x8b233990, "kthread_cancel_work_sync" },
	{ 0xf96d5884, "is_acpi_device_node" },
	{ 0x66f14e2f, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7424e0ca, "kthread_flush_work" },
	{ 0xa4c05587, "bpf_trace_run4" },
	{ 0xdcb26387, "ida_destroy" },
	{ 0xbbd71a1c, "idr_find" },
	{ 0xa416722f, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdc61a0a1, "shmem_read_folio_gfp" },
	{ 0x6a1de962, "__folio_batch_release" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0x52287b62, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfc10b5, "dma_resv_wait_timeout" },
	{ 0x4615bf29, "device_unregister" },
	{ 0x49529460, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x2972e198, "kthread_flush_worker" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd43a344e, "request_firmware" },
	{ 0x4f42e3ee, "class_destroy" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc559cb2b, "idr_replace" },
	{ 0x30309c96, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x314eedc5, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x6cd79228, "fd_install" },
	{ 0x3a0674bd, "dma_fence_chain_ops" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x74296c67, "component_del" },
	{ 0xd1142d23, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d9f9472, "iput" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0xe49efcc2, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x7e4fa14f, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x64a7f1ed, "dma_fence_add_callback" },
	{ 0x1922df6a, "synchronize_srcu" },
	{ 0xd2772f38, "dma_fence_set_deadline" },
	{ 0xe32d30e5, "get_device" },
	{ 0xf5957614, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6475bbde, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x45b5ab0a, "wake_up_process" },
	{ 0x4b25f0f7, "dev_driver_string" },
	{ 0x9d38ddba, "dma_buf_map_attachment_unlocked" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x61976a74, "ww_mutex_trylock" },
	{ 0x168438d5, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xdf12050f, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x95be22f9, "dma_max_mapping_size" },
	{ 0x18e7dd0c, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0xbf71e6f9, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xc24038ca, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeacde934, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1adb38ee, "dma_fence_remove_callback" },
	{ 0x9ab11418, "rt_write_unlock" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0xba4bea6b, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe2214b2a, "atomic_dec_and_mutex_lock" },
	{ 0xb13ff75c, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x56692f92, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4020d764, "idr_remove" },
	{ 0x6124d266, "dma_fence_chain_walk" },
	{ 0xe76e569, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5b78e1d9, "__task_pid_nr_ns" },
	{ 0x1bbb19db, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x5490d7f8, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x5a69ae19, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1780bf9, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x82c46133, "fput" },
	{ 0xd6a9068a, "down_write" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0xbb399d6c, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x85903f2f, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x537280d3, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x32309f30, "sysfs_remove_link" },
	{ 0x86cc2da3, "idr_alloc" },
	{ 0x16da971f, "pid_task" },
	{ 0x50eaec63, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xafd00283, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5cafc8ea, "xa_load" },
	{ 0xc79218cd, "noop_llseek" },
	{ 0x5c516f00, "dma_fence_signal" },
	{ 0xa5117102, "folio_mark_accessed" },
	{ 0x228ca797, "dma_resv_fini" },
	{ 0x31102bd3, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4148257d, "dma_buf_get" },
	{ 0x4f893fa2, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1cd7d300, "aperture_remove_conflicting_pci_devices" },
	{ 0x2ac1be3a, "ww_mutex_lock" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8153db08, "dma_buf_put" },
	{ 0xdc267c4, "ida_free" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x33a02622, "dma_fence_init" },
	{ 0x63beef41, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65d8eee5, "device_register" },
	{ 0x61d56072, "device_del" },
	{ 0xd528c300, "idr_destroy" },
	{ 0xafff1490, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0xa628e723, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x7b02d865, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28aadafa, "devm_aperture_acquire_for_platform_device" },
	{ 0x4f9f2d65, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x383f6147, "xa_erase" },
	{ 0x911c279d, "check_move_unevictable_folios" },
	{ 0xb090c98b, "bpf_trace_run3" },
	{ 0xa6815821, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x297e730b, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x55e4470a, "rt_read_lock" },
	{ 0xb73df45c, "debugfs_create_file" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0x5cf5a916, "dma_map_sgtable" },
	{ 0x4d4d4a30, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x15f5260f, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x58da9f50, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd9f23380, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x22f3d27a, "seq_write" },
	{ 0x37f1633f, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa7a52247, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x574a5ce2, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1aa28457, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc90e4fdb, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x71a31f36, "__rt_mutex_init" },
	{ 0xde7bdc49, "__srcu_read_unlock" },
	{ 0xa8c4877b, "rt_write_lock" },
	{ 0x72c09c7c, "i2c_transfer" },
	{ 0x56fdf25c, "dma_fence_allocate_private_stub" },
	{ 0x3e681f2c, "dma_buf_detach" },
	{ 0x527591b1, "dma_fence_signal_timestamp" },
	{ 0xe5599662, "dma_fence_chain_init" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x7425d53a, "seq_puts" },
	{ 0xdd4d9842, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xc963ce82, "dev_printk" },
	{ 0xd66303f7, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x59785903, "sched_set_fifo" },
	{ 0xdfd3d263, "simple_release_fs" },
	{ 0xbbe1aed5, "dev_err_probe" },
	{ 0x65996dd0, "dma_unmap_sg_attrs" },
	{ 0x759452b1, "kill_anon_super" },
	{ 0xdf8ae14, "from_kuid_munged" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x687da9e0, "__devm_add_action" },
	{ 0xd1a6feb9, "component_add" },
	{ 0x9f741d6, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x60d678f6, "dma_fence_chain_find_seqno" },
	{ 0x25100b37, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x666ac6b9, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x5f9eba27, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfdb9fdf6, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x7ed83a87, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c9d2b07, "__dev_fwnode" },
	{ 0x43c0029e, "pci_bus_type" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x214eb6eb, "class_remove_file_ns" },
	{ 0x94e73f9d, "simple_pin_fs" },
	{ 0x75cf0666, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "446D6317B84B346C0B0F9B1");
MODULE_INFO(rhelversion, "9.6");
