#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xe109d735, "");
SYMBOL_CRC(drm_gem_vram_put, 0x912a20a8, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x963816df, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x9d2154aa, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x84930c54, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xa40da187, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xcc614f48, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x3971bb59, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xfdecebf3, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xcaf8eff5, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x865a16c1, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x83d225ed, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xa0ec4955, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x2cf9668a, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xe2d421cf, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x348698a5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f3e532b, "ttm_range_man_init_nocheck" },
	{ 0x337590b8, "ww_mutex_lock_interruptible" },
	{ 0x924f3eaa, "ttm_resource_manager_debug" },
	{ 0x30309c96, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x806f42de, "ttm_range_man_fini_nocheck" },
	{ 0x6a81a9fe, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42410837, "ttm_bo_pin" },
	{ 0x4b25f0f7, "dev_driver_string" },
	{ 0x1f6f3aff, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc132553, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54d7c8f9, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x351d4f94, "drm_gem_object_release" },
	{ 0x17d59b41, "ttm_tt_init" },
	{ 0x31fe9455, "drm_gem_handle_create" },
	{ 0xd5bddc4e, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd1d25922, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x8ccf84d7, "drm_debugfs_add_files" },
	{ 0x9378883b, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbce697, "ttm_device_init" },
	{ 0x648d923d, "ttm_bo_validate" },
	{ 0x4ff54450, "ttm_bo_move_to_lru_tail" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x9fc4079f, "ttm_bo_vmap" },
	{ 0x32173b9a, "ttm_bo_put" },
	{ 0x729f4696, "ttm_resource_free" },
	{ 0x32817016, "ttm_bo_move_memcpy" },
	{ 0xb71315ff, "ttm_tt_fini" },
	{ 0x2493cc73, "ttm_device_fini" },
	{ 0x9c4607a7, "drm_gem_plane_helper_prepare_fb" },
	{ 0xde22b248, "ttm_bo_eviction_valuable" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x9a45925f, "drm_gem_ttm_print_info" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
MODULE_INFO(rhelversion, "9.6");
