#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_tdr_queue_imm, "", "");
KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_ready, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_stop, "", "");
KSYMTAB_FUNC(drm_sched_wqueue_start, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_tdr_queue_imm, 0x6e8bd817, "");
SYMBOL_CRC(drm_sched_fault, 0x3e7c684d, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xc1446e16, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x69715b7c, "");
SYMBOL_CRC(drm_sched_stop, 0xc8c93c99, "");
SYMBOL_CRC(drm_sched_start, 0x7ed46d1c, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0xebac1301, "");
SYMBOL_CRC(drm_sched_job_init, 0x19b1d26f, "");
SYMBOL_CRC(drm_sched_job_arm, 0x3bc1e711, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x6a117818, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x426baee5, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xdb91482f, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x3a182077, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x873a5617, "");
SYMBOL_CRC(drm_sched_pick_best, 0x2955cf0c, "");
SYMBOL_CRC(drm_sched_init, 0xb2b01336, "");
SYMBOL_CRC(drm_sched_fini, 0x8eb6d499, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xf2d975fd, "");
SYMBOL_CRC(drm_sched_wqueue_ready, 0x99a566b7, "");
SYMBOL_CRC(drm_sched_wqueue_stop, 0x89b78823, "");
SYMBOL_CRC(drm_sched_wqueue_start, 0x62f4c176, "");
SYMBOL_CRC(to_drm_sched_fence, 0xf3c1c83e, "");
SYMBOL_CRC(drm_sched_entity_init, 0x763cbb60, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0x1d231b08, "");
SYMBOL_CRC(drm_sched_entity_error, 0x66b37fa1, "");
SYMBOL_CRC(drm_sched_entity_flush, 0x03bb117e, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xab3484cf, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x60e89ff6, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x4dc5a0a8, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x9c2106d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdbcb8e18, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbb96a057, "bpf_trace_run2" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0x64a7f1ed, "dma_fence_add_callback" },
	{ 0xd2772f38, "dma_fence_set_deadline" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcd7bdc4f, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b25f0f7, "dev_driver_string" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0x71274325, "dma_resv_iter_next" },
	{ 0x1adb38ee, "dma_fence_remove_callback" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0x5cff5134, "drm_dev_printk" },
	{ 0x5490d7f8, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5cafc8ea, "xa_load" },
	{ 0x5c516f00, "dma_fence_signal" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x33a02622, "dma_fence_init" },
	{ 0x9108e31e, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x383f6147, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfa447348, "xa_destroy" },
	{ 0xe91232a5, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc90e4fdb, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa7037584, "dma_resv_iter_first" },
	{ 0x275631fb, "xa_find_after" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0x25100b37, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "36CEA099525BB91D92912C6");
MODULE_INFO(rhelversion, "9.6");
