#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x21fbbb96, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xe95a23eb, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x1e556736, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xbe12a36c, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x03e0de78, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x10f6dbad, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xbae429db, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x1e4b0e4f, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x2250fc58, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xe47d7dd8, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x885cd0fa, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xf30d1855, "_gpl");
SYMBOL_CRC(dm_get_md, 0xc2eda8a2, "_gpl");
SYMBOL_CRC(dm_hold, 0x39de9728, "_gpl");
SYMBOL_CRC(dm_device_name, 0x4c0d4591, "_gpl");
SYMBOL_CRC(dm_put, 0xed408927, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xd65d87e6, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x6ccbdc02, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xc898ee6c, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x6a720fc1, "_gpl");
SYMBOL_CRC(dm_disk, 0x75580d72, "_gpl");
SYMBOL_CRC(dm_suspended, 0x994aa593, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xc50d143b, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x6938faca, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xdc4de6fa, "");
SYMBOL_CRC(dm_put_device, 0x372641ec, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xe39d9133, "_gpl");
SYMBOL_CRC(dm_table_event, 0x5018ffd6, "");
SYMBOL_CRC(dm_table_get_size, 0xe6f1ee9d, "");
SYMBOL_CRC(dm_table_get_mode, 0x7e4a1499, "");
SYMBOL_CRC(dm_table_get_md, 0xb5df3871, "");
SYMBOL_CRC(dm_table_device_name, 0x2dcadc14, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x406beecb, "");
SYMBOL_CRC(dm_register_target, 0x64b8aee6, "");
SYMBOL_CRC(dm_unregister_target, 0xa369911f, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x6f766fa5, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x31e0af68, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x89762500, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x7f94503f, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xe2182068, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x186b3a53, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x2fdb9874, "set_disk_ro" },
	{ 0x50596349, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbbeef734, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x48fe9cde, "__init_rwsem" },
	{ 0x7eaeac16, "misc_deregister" },
	{ 0xa34acf4f, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbbd71a1c, "idr_find" },
	{ 0xa655868d, "param_ops_uint" },
	{ 0xa416722f, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb3f4bda8, "bio_split_to_limits" },
	{ 0xd1e052b2, "vmalloc_to_page" },
	{ 0x8052f996, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x35c7b18e, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x4068086a, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x977386f5, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc559cb2b, "idr_replace" },
	{ 0x13d7f5e3, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x25582b00, "mempool_init" },
	{ 0xea78f64e, "blk_rq_prep_clone" },
	{ 0x36d5e38f, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x28edec3b, "prepare_to_wait" },
	{ 0xe81350e0, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x6654346f, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0xcbb56950, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x1922df6a, "synchronize_srcu" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xcbe214ec, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2a23f378, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbfb73f6f, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x7d8dc7f1, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec2541b5, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x12a0c195, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x8b83a88f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x3313daa9, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xcf1b6200, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x600563e0, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xd77c3de1, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdbe7a580, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a340d64, "kmalloc_node_trace" },
	{ 0x25043992, "__SCK__tp_func_block_split" },
	{ 0x6a65c093, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed73f2a2, "__free_pages" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x2454c8cf, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x66c61253, "submit_bio" },
	{ 0x4364da65, "dax_add_host" },
	{ 0xb13ff75c, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x202bbe38, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5ddc4360, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x4020d764, "idr_remove" },
	{ 0x1bbb19db, "kobject_uevent_env" },
	{ 0x3f066b86, "bio_put" },
	{ 0x2f26ca2a, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x54c34fb8, "init_srcu_struct" },
	{ 0x6dae53cb, "__SCK__tp_func_block_bio_remap" },
	{ 0x82c46133, "fput" },
	{ 0xd6a9068a, "down_write" },
	{ 0x54222caa, "blk_revalidate_disk_zones" },
	{ 0xbb399d6c, "up_write" },
	{ 0xb5608a9f, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x86cc2da3, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x50eaec63, "__srcu_read_lock" },
	{ 0xafd00283, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6e2c8bf3, "set_capacity" },
	{ 0xec1d2fa2, "submit_bio_noacct" },
	{ 0xc79218cd, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0xb0a85d32, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0x8383a732, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x7ac28d2, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x66482c5d, "dax_recovery_write" },
	{ 0xbc02c5c7, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe1bf59e, "kobject_init_and_add" },
	{ 0x49a140fb, "zero_fill_bio_iter" },
	{ 0x47e64130, "bio_add_page" },
	{ 0x6f5a8ba5, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x6f292ce4, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x95027b9c, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x957a9d67, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2aca2ba6, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0xd528c300, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x87cc49b0, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5481f7c9, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe3a59a74, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x71c075c5, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6c67e160, "blk_insert_cloned_request" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5e040f1, "down_read" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce2c32c8, "audit_log_start" },
	{ 0x17fea963, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5b88bf81, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x62585cb3, "bio_uninit" },
	{ 0x63829708, "crypto_shash_final" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0xec17ba49, "bioset_init" },
	{ 0xa180e8b1, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x1b675d1d, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xde7bdc49, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x4ce1f27f, "__tracepoint_block_bio_remap" },
	{ 0xb19b628f, "__tracepoint_block_rq_remap" },
	{ 0xf6970c89, "bd_link_disk_holder" },
	{ 0x4662d48d, "blk_mq_start_request" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0x1ad47d38, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4ace63bb, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9275afbc, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x4a6b771f, "blk_zone_plug_bio" },
	{ 0x25100b37, "param_ops_int" },
	{ 0xe06ed85b, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x1ec9d178, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xfe1a324c, "queue_limits_set" },
	{ 0x3e1f72b1, "bio_alloc_bioset" },
	{ 0x989f4de4, "up_read" },
	{ 0xfb25677a, "blk_mq_requeue_request" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x2103466a, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x666a0b72, "bdev_end_io_acct" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xdea55ea2, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x90b22543, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22646E38D4679DC418F26A9");
MODULE_INFO(rhelversion, "9.6");
