#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x86fa4361, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x27b813e9, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xa68925ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61a718a3, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0x6de37691, "register_netdevice" },
	{ 0xca7da491, "netdev_upper_dev_link" },
	{ 0x6a62840e, "netdev_upper_dev_unlink" },
	{ 0xf4e2a5cf, "unregister_netdevice_queue" },
	{ 0x64fb5805, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x25cccc40, "netif_stacked_transfer_operstate" },
	{ 0xb8bd5155, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xad6f3530, "netdev_rx_handler_register" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x5c617002, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x33ac37dd, "netdev_rx_handler_unregister" },
	{ 0x95964c78, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa6f5aaa1, "netif_carrier_off" },
	{ 0x2c9dfa9b, "dev_mc_unsync" },
	{ 0xf7bb711e, "dev_uc_unsync" },
	{ 0x69700e2d, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb559226, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdacc3db2, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1e2e9ed, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xec52e9f0, "rtnl_link_register" },
	{ 0x48bcbfa2, "genl_register_family" },
	{ 0x57886b6c, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b83a88f, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe16c0d8, "crypto_alloc_aead" },
	{ 0x5b76dd00, "crypto_aead_setkey" },
	{ 0x54c27b0b, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2afc49cf, "skb_pull" },
	{ 0x399ebf77, "___pskb_trim" },
	{ 0x813fb638, "ether_setup" },
	{ 0x31adfecd, "dst_release" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0xcc0215d1, "dev_mc_sync" },
	{ 0x5c269054, "dev_uc_sync" },
	{ 0x7f02c0f1, "dev_set_allmulti" },
	{ 0xe9146090, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x537f803c, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xbb86f57, "__dev_queue_xmit" },
	{ 0xd4eb9584, "skb_clone" },
	{ 0x58389a37, "consume_skb" },
	{ 0xe906c81d, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6f3d6480, "skb_to_sgvec" },
	{ 0xaa9e8356, "crypto_aead_decrypt" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0xe275fbe1, "skb_copy" },
	{ 0xd94c1038, "eth_type_trans" },
	{ 0xa3a28600, "gro_cells_receive" },
	{ 0xe68ca3e2, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a1f1e9a, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc09c790b, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9adb4f, "skb_push" },
	{ 0x9b7d9379, "skb_put" },
	{ 0x74e12802, "crypto_aead_encrypt" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.6");
