#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x577af9ac, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x20ffbba5, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xaa7f4b82, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xb7cdc099, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xbf3fed80, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xd6f96166, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0x36013784, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb4b5e405, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b7d9379, "skb_put" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0x58389a37, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4615bf29, "device_unregister" },
	{ 0xefeee9cc, "skb_dequeue" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0xec52e9f0, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x6daeef07, "device_for_each_child" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0xe8d66a3a, "rtnl_create_link" },
	{ 0xf4e2a5cf, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa62cab43, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf28bb046, "alloc_netdev_mqs" },
	{ 0x32aa7db, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18e7dd0c, "put_device" },
	{ 0xf67e2d5e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0x87b4549d, "skb_queue_tail" },
	{ 0x55ee5d3a, "rtnl_configure_link" },
	{ 0x3fa1a57f, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57886b6c, "rtnl_link_unregister" },
	{ 0x2ec8f621, "init_net" },
	{ 0x2afc49cf, "skb_pull" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0xc79218cd, "noop_llseek" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x4f893fa2, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0xdc267c4, "ida_free" },
	{ 0xd11e1acb, "free_netdev" },
	{ 0xe1e436ae, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7561a209, "class_dev_iter_init" },
	{ 0x65d8eee5, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xd9f23380, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc7aeb44a, "stream_open" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x30948992, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x5f9eba27, "debugfs_create_dir" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x8ebec2ea, "class_register" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x5da2b34e, "skb_queue_head" },
	{ 0xa6a937eb, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x6de37691, "register_netdevice" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.6");
