#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x1e5e0822, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0xc9c8f48d, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x1099e099, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xcf6525c5, "ntb_unregister_client" },
	{ 0x1b633c6e, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf612d2a, "dma_map_page_attrs" },
	{ 0x31287f88, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb73df45c, "debugfs_create_file" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x6285f406, "ntb_msi_peer_trigger" },
	{ 0x4615bf29, "device_unregister" },
	{ 0x4a340d64, "kmalloc_node_trace" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0x65d8eee5, "device_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x42eddd5d, "devm_free_irq" },
	{ 0x70e75051, "ntbm_msi_request_threaded_irq" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1ff6e03, "ntb_msi_setup_mws" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xedc03953, "iounmap" },
	{ 0x6a1d2cf8, "ntb_msi_init" },
	{ 0x4fd891f7, "ntb_default_peer_port_count" },
	{ 0x8db71447, "ntb_set_ctx" },
	{ 0x10fb909e, "ntb_link_event" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1eb10213, "dma_sync_wait" },
	{ 0xf9254875, "dma_unmap_resource" },
	{ 0x4c4e686c, "dma_release_channel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5c64c2b4, "ntb_clear_ctx" },
	{ 0x3c407e16, "__dma_request_channel" },
	{ 0x54fe7a00, "dma_map_resource" },
	{ 0x85903f2f, "simple_open" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0xa655868d, "param_ops_uint" },
	{ 0x66e49f36, "param_ops_byte" },
	{ 0xa416722f, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x37a0cba, "kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18e7dd0c, "put_device" },
	{ 0xe32d30e5, "get_device" },
	{ 0x8a75e1a6, "driver_register" },
	{ 0xd16de308, "driver_unregister" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x5f9eba27, "debugfs_create_dir" },
	{ 0x8da20ea5, "bus_register" },
	{ 0xda9c77fd, "__ntb_register_client" },
	{ 0x8c0f0ca9, "bus_unregister" },
	{ 0x4f893fa2, "debugfs_remove" },
	{ 0x6d5d5847, "dma_alloc_attrs" },
	{ 0x78bf772, "dma_free_attrs" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "D27B7C44DDB12E307BD2DA6");
MODULE_INFO(rhelversion, "9.6");
