#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x33b9336a, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x803992f3, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x5d66cbca, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xbdbd4911, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xd4f8d580, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xf43f5c09, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x2860e026, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xff829fcd, "");
SYMBOL_CRC(nvdimm_region_notify, 0x49470a43, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x205c0d00, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x48d9310f, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x6363b9b4, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xbdf1eac1, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xb3a83a14, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xbf805f53, "");
SYMBOL_CRC(nd_device_unregister, 0x06d0f36a, "");
SYMBOL_CRC(__nd_driver_register, 0x3aa54f84, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x2d38d9da, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xecbea225, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xac95a97d, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x7da98f14, "_gpl");
SYMBOL_CRC(to_ndd, 0x81af5cbb, "");
SYMBOL_CRC(nvdimm_name, 0xe5bfcb43, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x0724affd, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x88516bad, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x61ac7083, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x886539d9, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xf3722a09, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xf774e4c7, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x27048a7a, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x94208305, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x2bafd7a5, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x34679645, "_gpl");
SYMBOL_CRC(to_nd_region, 0xdbd8156f, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x446344fd, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xc8da3828, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xa514ca05, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xc8045fee, "");
SYMBOL_CRC(nd_region_release_lane, 0x89adf66b, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x1b96228a, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x7f2f7e81, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xe2be0c63, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xe0dbe78b, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xdb678b1f, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x818c6bd9, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x09b68917, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x9ab7a647, "");
SYMBOL_CRC(pmem_sector_size, 0xdf5bc9a3, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x9938d14d, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x73a5af9e, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xfd9e1fbc, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xfd87cb70, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xd39667a3, "");
SYMBOL_CRC(devm_namespace_enable, 0x94bb1825, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x165fd2de, "_gpl");
SYMBOL_CRC(badrange_init, 0xc12ac369, "_gpl");
SYMBOL_CRC(badrange_add, 0x78609cdb, "_gpl");
SYMBOL_CRC(badrange_forget, 0xf5c53ab4, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x5ad7e273, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xe1b3621a, "");
SYMBOL_CRC(is_nd_btt, 0x20a08fbe, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xd14e9b6d, "");
SYMBOL_CRC(nd_btt_version, 0x7e62482e, "");
SYMBOL_CRC(nd_btt_probe, 0x5b4c352b, "");
SYMBOL_CRC(to_nd_pfn, 0x501cf5b8, "");
SYMBOL_CRC(is_nd_pfn, 0x8ddf2a2f, "");
SYMBOL_CRC(nd_pfn_validate, 0x4967148d, "");
SYMBOL_CRC(nd_pfn_probe, 0xee611057, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x83c43085, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xde227835, "");
SYMBOL_CRC(is_nd_dax, 0x388fe827, "");
SYMBOL_CRC(nd_dax_probe, 0x21401a6b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2fdb9874, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0xbbeef734, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xdcb26387, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdc40e478, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x10566bbe, "devm_memremap" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x5b9bf6d0, "badblocks_set" },
	{ 0x4615bf29, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0x4f42e3ee, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x314eedc5, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x325b5d4d, "badblocks_exit" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x6daeef07, "device_for_each_child" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xe32d30e5, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0x35400ea6, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b25f0f7, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95dd32bd, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xce3a978c, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x18e7dd0c, "put_device" },
	{ 0x7b3bb036, "badblocks_show" },
	{ 0x677e45fb, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0xb13ff75c, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3fa1a57f, "compat_ptr_ioctl" },
	{ 0x24ede7d0, "perf_pmu_migrate_context" },
	{ 0x9cb122, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc2c10209, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8c0f0ca9, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x8dc749a2, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x537280d3, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xc79218cd, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x31102bd3, "class_create" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x50aad0bb, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xdc267c4, "ida_free" },
	{ 0xd16de308, "driver_unregister" },
	{ 0x50db51df, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8c533b24, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffb86ba5, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xd5e040f1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x9dac45de, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9c6d96eb, "__devm_release_region" },
	{ 0x74686565, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xeb13a1ad, "kernfs_put" },
	{ 0xd9f23380, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xba7f24bb, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x707b674c, "badblocks_check" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x687da9e0, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xdd3da769, "badblocks_clear" },
	{ 0x42481d82, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x989f4de4, "up_read" },
	{ 0x8a75e1a6, "driver_register" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x8da20ea5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAA6CCC1747B5FD58AB299");
MODULE_INFO(rhelversion, "9.6");
