#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x66e142d4, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x965083ce, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xc78e9f3b, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xebd1f13c, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x971b32f5, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xbbedf5e1, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x85fed67e, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x8921cd5c, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x34c32141, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x2841170e, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xb396f70e, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xcfbcac0d, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x6a6f83b3, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x9556fd4e, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x93720929, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xfa3774e9, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xbd0e8096, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x592b85cf, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x18acca57, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x81f3fc6d, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x4aefb17f, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x0cfd7dd5, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xba32d14d, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x397ded0f, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x910525c7, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x93511dbd, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x43e99d81, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xe64c9dbb, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xe148d248, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xced95384, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xe77fbd10, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xbc22b3bb, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x9661bc66, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xa0f31e13, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x93c81eef, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x1996ef38, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x5947fe20, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xd4daeb3f, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xe3e90c83, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xc4ebf102, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xb6c5f839, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xad4a004e, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x5af9a189, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xb9563bee, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x10b89a6b, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x83b60c9a, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xa6ccc6c3, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xbd35a2c8, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xff5e848d, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xa89d7a3e, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xf79e06e8, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xf0ed2820, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x431f8b17, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x7f4f8aeb, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x4e8c02c2, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x7fb3e0b1, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xa0708e34, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xebcccd66, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xda866f34, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x21d124cc, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x62d27d10, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xe6c7d3f9, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xb1016516, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xee241cfd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48c65e50, "set_capacity_and_notify" },
	{ 0x186b3a53, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2fdb9874, "set_disk_ro" },
	{ 0x50596349, "__blk_alloc_disk" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0xbbeef734, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x74985620, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdcb26387, "ida_destroy" },
	{ 0x1df55910, "device_remove_file_self" },
	{ 0xa655868d, "param_ops_uint" },
	{ 0xa416722f, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0xb3f4bda8, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x9380e883, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x8052f996, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x5403490d, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe33be481, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0x1f417af9, "queue_limits_stack_bdev" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x314eedc5, "device_initialize" },
	{ 0x36d5e38f, "blk_mq_unquiesce_queue" },
	{ 0xe81350e0, "blk_mq_quiesce_queue" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e204d13, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbb96a057, "bpf_trace_run2" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0xb86a7f59, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x1922df6a, "synchronize_srcu" },
	{ 0x66e49f36, "param_ops_byte" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xe32d30e5, "get_device" },
	{ 0xcbe214ec, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x42181610, "__blk_mq_alloc_disk" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0xbfb73f6f, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xec2541b5, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12a0c195, "blk_mq_alloc_tag_set" },
	{ 0xdcca47c2, "blk_rq_is_poll" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x8b83a88f, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xc510a4dd, "mempool_create" },
	{ 0xcf1b6200, "put_disk" },
	{ 0xbdf245e6, "crypto_alloc_kpp" },
	{ 0xd9eea31f, "cdev_device_add" },
	{ 0x43134ad0, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x20db3898, "blk_execute_rq" },
	{ 0x18e7dd0c, "put_device" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0x1d9670d1, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a340d64, "kmalloc_node_trace" },
	{ 0x6a65c093, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc66f7499, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xed73f2a2, "__free_pages" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0x358b9f00, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb13ff75c, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x56692f92, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x13570cfc, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3fa1a57f, "compat_ptr_ioctl" },
	{ 0xbe593cbc, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xad9b3b49, "blk_mq_quiesce_tagset" },
	{ 0x1bbb19db, "kobject_uevent_env" },
	{ 0x2f26ca2a, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x54c34fb8, "init_srcu_struct" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0x6dae53cb, "__SCK__tp_func_block_bio_remap" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0x54222caa, "blk_revalidate_disk_zones" },
	{ 0xcfbd5554, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x537280d3, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x722aa105, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x32309f30, "sysfs_remove_link" },
	{ 0x37489161, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x50eaec63, "__srcu_read_lock" },
	{ 0x6e2c8bf3, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xec1d2fa2, "submit_bio_noacct" },
	{ 0x5cafc8ea, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x61194828, "blk_sync_queue" },
	{ 0xb0a85d32, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x59741648, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x28c09157, "blk_mq_alloc_request_hctx" },
	{ 0x2ca1c85f, "blk_mq_alloc_request" },
	{ 0xdc267c4, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6f5a8ba5, "crypto_shash_update" },
	{ 0xe1e436ae, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x6f292ce4, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x95027b9c, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x957a9d67, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x895930bc, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x8f6f026b, "blk_put_queue" },
	{ 0x9108e31e, "bpf_trace_run1" },
	{ 0x61d56072, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x473fb061, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xcfb8d69c, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf5b579a1, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x383f6147, "xa_erase" },
	{ 0xb090c98b, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5b88bf81, "blk_mq_complete_request" },
	{ 0xde44dc2b, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0x63829708, "crypto_shash_final" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0xe6e7b67d, "blk_mq_destroy_queue" },
	{ 0xfa447348, "xa_destroy" },
	{ 0xe761b766, "blk_freeze_queue_start" },
	{ 0xdb67a603, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xe91232a5, "xa_find" },
	{ 0x1b675d1d, "alloc_pages" },
	{ 0x6ba4790a, "mempool_destroy" },
	{ 0xcb61161f, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca5c910c, "__tracepoint_block_bio_complete" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xc90e4fdb, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xde7bdc49, "__srcu_read_unlock" },
	{ 0x4ce1f27f, "__tracepoint_block_bio_remap" },
	{ 0xa36976c6, "blk_mq_unfreeze_queue" },
	{ 0x9596c47f, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x468be4ca, "queue_limits_commit_update" },
	{ 0xb53f6a3, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x275631fb, "xa_find_after" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x9275afbc, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1ec9d178, "crypto_alloc_shash" },
	{ 0xcb193fac, "blk_mq_freeze_queue_wait" },
	{ 0xb4bd86a0, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfb25677a, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x8ebec2ea, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3b71fc8c, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x666a0b72, "bdev_end_io_acct" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x9d4bf2cc, "blk_steal_bios" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "2989C9541F2DD9D03F5881F");
MODULE_INFO(rhelversion, "9.6");
