#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x91dd40cb, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x23b8c8ae, "_gpl");
SYMBOL_CRC(sas_free_task, 0x4cfcde31, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xe50afb5f, "");
SYMBOL_CRC(sas_resume_ha, 0x6e7dd6c3, "");
SYMBOL_CRC(sas_suspend_ha, 0x22056937, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xf766c73b, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xc2a5ff14, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x2403cb38, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x3fbc0616, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x49c03f75, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xb553741d, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xdf12122b, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x644bdd89, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xad333ca7, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x97f0a3d7, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x1bceaf52, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xf432458a, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x23e5b89c, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x6a292b19, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x681184ac, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xb6c35931, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x63c521fd, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xa1de1260, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x4d322c7c, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xeef9d827, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x56e71c86, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xe9e03a87, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x576cdae8, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xa332ecb2, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x73bb1298, "ata_qc_complete" },
	{ 0x8255a5fe, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc6c94172, "sas_rphy_remove" },
	{ 0x98912ff9, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x9b013d05, "ata_sas_port_destroy" },
	{ 0xfc7e0b00, "bsg_job_done" },
	{ 0x2c1abe98, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3df215af, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x60c5a30, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0xcbe9d3b3, "scsi_schedule_eh" },
	{ 0xd43a344e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xd4333808, "ata_host_init" },
	{ 0xc35d0a0b, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xf2762997, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x7759ae60, "sas_port_get_phy" },
	{ 0x8cfa9b7d, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xe32d30e5, "get_device" },
	{ 0xe7dcef24, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xbc351485, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x18e7dd0c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe74954df, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0xe7a3d9c4, "sas_phy_free" },
	{ 0x9fba0e8, "scsi_eh_finish_cmd" },
	{ 0x60336a42, "ata_sas_port_alloc" },
	{ 0x6ed8ff8, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x1c7c598a, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x5b436d51, "sas_port_mark_backlink" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0xc0c249ce, "ata_std_qc_defer" },
	{ 0xa950ff3, "ata_sas_port_start" },
	{ 0x6de1f076, "ata_scsi_port_error_handler" },
	{ 0xbfb84ad3, "ata_change_queue_depth" },
	{ 0xc9c41d60, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x63ad9266, "sas_end_device_alloc" },
	{ 0x63beef41, "mutex_lock_interruptible" },
	{ 0x3ca14e22, "sas_read_port_mode_page" },
	{ 0x78ed8150, "sas_expander_alloc" },
	{ 0xb0301761, "ata_sas_port_stop" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x978f5eea, "sas_rphy_delete" },
	{ 0xaa9d1761, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x522a952a, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x9b7441b, "scsi_host_busy" },
	{ 0x9e386e45, "ata_sas_async_probe" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x72c70720, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5cfc768f, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd4b4d04f, "ata_sas_port_suspend" },
	{ 0xc4d8d926, "sas_rphy_add" },
	{ 0xeada8ea7, "sas_port_delete_phy" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8d597a3c, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96fea10e, "sas_port_add_phy" },
	{ 0x9e573552, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xabed2dd2, "scsi_unblock_requests" },
	{ 0x3a765873, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xed0919cc, "ata_host_put" },
	{ 0xf21e3b23, "sas_port_free" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x24b94ab9, "ata_std_sched_eh" },
	{ 0xb7297416, "scsi_block_requests" },
	{ 0x7c522fa7, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0xf81c1845, "sas_remove_children" },
	{ 0xc17d272e, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6698c24d, "ata_port_wait_eh" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
