#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd595bead, "usb_kill_urb" },
	{ 0xd391b728, "usb_deregister" },
	{ 0x201723e3, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xc27abf61, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x8ddb8a80, "usb_anchor_urb" },
	{ 0x1012d37e, "usb_submit_urb" },
	{ 0x9b28b062, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe3b79ca8, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3a698b96, "usb_kill_anchored_urbs" },
	{ 0xb1d52db7, "scsi_remove_host" },
	{ 0x6fcd12d0, "scsi_host_put" },
	{ 0xc14cf3f, "usb_lock_device_for_reset" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xfff80cd2, "scsi_host_alloc" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xb8c48fda, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcc11f473, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcab653cd, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5aaf1d57, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x46abdf24, "usb_set_interface" },
	{ 0x7468fc76, "usb_reset_device" },
	{ 0x49179b92, "usb_alloc_streams" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x44bea6b3, "scsi_report_bus_reset" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xabed2dd2, "scsi_unblock_requests" },
	{ 0xc963ce82, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd33b9a2b, "usb_wait_anchor_empty_timeout" },
	{ 0xb7297416, "scsi_block_requests" },
	{ 0x81e6d9e9, "scmd_printk" },
	{ 0xabb5d680, "scsi_print_command" },
	{ 0x7cbdf5b8, "usb_free_urb" },
	{ 0x188f4220, "scsi_scan_host" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4952f0e4, "sdev_prefix_printk" },
	{ 0xc17d272e, "scsi_change_queue_depth" },
	{ 0xaa9d1761, "scsi_is_host_device" },
	{ 0x5c6440a9, "usb_get_urb" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "0DBE211FD75AFA475093DBC");
MODULE_INFO(rhelversion, "9.6");
