#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x70d5329c, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x063bee8a, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xf43361ec, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x09288a0d, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x5bd8cd66, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xad329f09, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x5d1cabc5, "_gpl");
SYMBOL_CRC(ucsi_create, 0x75a3dfd2, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x31a6e5d4, "_gpl");
SYMBOL_CRC(ucsi_register, 0xe814f3b8, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x8ffce8df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa3088d90, "typec_partner_set_pd_revision" },
	{ 0xaf08e61c, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xaafe6f18, "typec_register_partner" },
	{ 0x5189b2f5, "typec_port_set_usb_power_delivery" },
	{ 0x4817b660, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x83350b00, "typec_port_register_altmode" },
	{ 0xdf1c9e55, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0xbed90cfb, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0x739e6712, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0xe49efcc2, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xbb96a057, "bpf_trace_run2" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0x656d250d, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9b9e108f, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0x82e738a7, "typec_partner_register_altmode" },
	{ 0xc5913953, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa6301943, "typec_unregister_partner" },
	{ 0x556b8ad1, "typec_set_pwr_opmode" },
	{ 0x31ad4b, "typec_cable_set_identity" },
	{ 0x1f867ce5, "debugfs_attr_read" },
	{ 0x7d1251c9, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0x4564e205, "typec_altmode_update_active" },
	{ 0xbc5285fe, "device_property_read_u8_array" },
	{ 0x4ccd15b0, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xcffc70cc, "usb_power_delivery_register_capabilities" },
	{ 0x346908d1, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x4f893fa2, "debugfs_remove" },
	{ 0xc3be4f18, "usb_power_delivery_unregister" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0xdfea3181, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x81bbbfd, "typec_unregister_port" },
	{ 0xa3bb37d3, "power_supply_get_drvdata" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x36ea9c16, "typec_register_port" },
	{ 0x5507f538, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a0ca9ea, "typec_partner_set_usb_power_delivery" },
	{ 0xef7e2ad0, "power_supply_changed" },
	{ 0xcd7138b6, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x34f0e3eb, "typec_plug_register_altmode" },
	{ 0x9273c702, "devm_kasprintf" },
	{ 0xa6815821, "seq_read" },
	{ 0xb73df45c, "debugfs_create_file" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x291e120b, "typec_unregister_altmode" },
	{ 0xeb11e461, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1aa28457, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x10d89359, "usb_power_delivery_unregister_capabilities" },
	{ 0xd8f5f0f8, "typec_get_drvdata" },
	{ 0x21eae4ea, "typec_partner_set_identity" },
	{ 0xc9ef5a1c, "power_supply_unregister" },
	{ 0xdd4d9842, "single_release" },
	{ 0x49ceecb7, "typec_set_pwr_role" },
	{ 0x4624b84c, "typec_partner_usb_power_delivery_register" },
	{ 0xbbe1aed5, "dev_err_probe" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xcba28467, "usb_debug_root" },
	{ 0x7d005c9, "device_get_next_child_node" },
	{ 0x666ac6b9, "single_open" },
	{ 0x5f9eba27, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c9d2b07, "__dev_fwnode" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.6");
