#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x0259455e, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x2da03eaf, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x40d5c752, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x77f6a67c, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x24b64df5, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x8c1f5019, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x6ad0f539, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x2dff81cf, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xabeebd10, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xe960e57b, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x435018a9, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xd7d9920a, "");
SYMBOL_CRC(vfio_unpin_pages, 0x96d485a6, "");
SYMBOL_CRC(vfio_dma_rw, 0x3e82656d, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x4f61a32c, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xaaec72e1, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xe67272a5, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x0477d072, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x59cf41b8, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xddef852a, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x62884676, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xe9e661dd, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xbaef53a3, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x74220f88, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x7995c841, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x81aa1733, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x128f33be, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x8b7bbc45, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xaaaa8839, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xf3c6d814, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x56c06828, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x8a709831, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xf02dbd71, "iommufd_vfio_compat_ioas_get_id" },
	{ 0xe2e61682, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xbbeef734, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc627d97c, "anon_inode_getfile" },
	{ 0x48fe9cde, "__init_rwsem" },
	{ 0x5075ff64, "alloc_anon_inode" },
	{ 0x7eaeac16, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc4907f21, "iommufd_access_detach" },
	{ 0xdcb26387, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xe33be481, "cdev_device_del" },
	{ 0x79048e14, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x4f42e3ee, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xf69f4443, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x314eedc5, "device_initialize" },
	{ 0xe3190fb8, "iommufd_device_attach" },
	{ 0x6cd79228, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x383bb9e, "iommufd_access_pin_pages" },
	{ 0x6d9f9472, "iput" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0xf63b6f01, "add_wait_queue" },
	{ 0xa0c3a38c, "iommufd_ctx_from_fd" },
	{ 0xe9a9a078, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xb3934c6a, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xe5748683, "iommufd_vfio_compat_ioas_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9eea31f, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x18e7dd0c, "put_device" },
	{ 0x9ca69099, "iommufd_ctx_from_file" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb13ff75c, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3fa1a57f, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x82c46133, "fput" },
	{ 0xd6a9068a, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xbb399d6c, "up_write" },
	{ 0x537280d3, "device_add" },
	{ 0x5cafc8ea, "xa_load" },
	{ 0xba57e0f2, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x31102bd3, "class_create" },
	{ 0x1b758c21, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xdc267c4, "ida_free" },
	{ 0xe8c19f64, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x61d56072, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xb3233152, "iommufd_access_destroy" },
	{ 0x71c075c5, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd5e040f1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x10b42df7, "__xa_cmpxchg" },
	{ 0x13dca37d, "iommufd_device_to_id" },
	{ 0x4f9f2d65, "init_pseudo" },
	{ 0x330abe71, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdfb8ce9e, "__pm_runtime_resume" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfa447348, "xa_destroy" },
	{ 0xa40208c, "iommufd_ctx_put" },
	{ 0x1c73dbc4, "iommufd_access_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x7fc83934, "iommufd_device_detach" },
	{ 0x8ce1ced5, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdfd3d263, "simple_release_fs" },
	{ 0x759452b1, "kill_anon_super" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x6dee3588, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbc54a8fc, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x9b18d2de, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x989f4de4, "up_read" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x5efa6569, "__pm_runtime_idle" },
	{ 0x3b71fc8c, "cdev_init" },
	{ 0x43303a3a, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x92994425, "eventfd_ctx_fileget" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xfab643db, "iommu_group_remove_device" },
	{ 0x94e73f9d, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.6");
