#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x21d0642b, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xaf5a913b, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x73de3075, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x0c6dc942, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x44f6ed82, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x18dbc13b, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x318aa655, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xc2df3b23, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x2977d289, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xfabf35c9, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x02ebc382, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x0747a70c, "_gpl");
SYMBOL_CRC(nfs_init_client, 0xd4e82a10, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x2ca71488, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x18c317b3, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x9207e883, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0xc9e31649, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x96810ee0, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xdcf5b3bb, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x135337f7, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x2d08da46, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xb3e7a7bc, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0xeae1a9c5, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xa7473078, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xf7e7a2b6, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xf4b957dd, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xcab992ce, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x95c485ff, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x85b2d925, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xed8df293, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x4413b81e, "_gpl");
SYMBOL_CRC(nfs_create, 0x7af5f500, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xf81725a7, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x76ccc2a0, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xacf3dd3b, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x4d260d30, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x1cf36934, "_gpl");
SYMBOL_CRC(nfs_link, 0x4a9f16e1, "_gpl");
SYMBOL_CRC(nfs_rename, 0x2a6a5adc, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xc261355d, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xd4572107, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x6498d133, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x0360b5d0, "_gpl");
SYMBOL_CRC(nfs_permission, 0x7d30f56d, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0xdcf7493f, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x61b7a5e5, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xccfef58a, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xfdb0b206, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x42e6bdd0, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x2b245823, "_gpl");
SYMBOL_CRC(nfs_lock, 0xa737af48, "_gpl");
SYMBOL_CRC(nfs_flock, 0x6626fd93, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xa60c19aa, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x5d591734, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x785525eb, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x8788af19, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x734835dd, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0xeea6b81f, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x18c9525b, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x6bcae473, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xe72e1d81, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x2a1f6a0b, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xc3bef3dd, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0x5a7e951a, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x7c5ff686, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xc92c7156, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x8ae74506, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xe8fea7c1, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x3806a09d, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x2be8519d, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x5a61a8eb, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x32d31f2d, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x1355b189, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x2d8fdbdd, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x636d84d1, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xa995a653, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x2d6e7882, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x06ab0b0e, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0xad0d4e80, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x390d15fd, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x3c47f555, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x5d42cf75, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x6a5ad418, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xc0ac2007, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x1140ee79, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xfe3c3cae, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xc0e76508, "_gpl");
SYMBOL_CRC(nfs_show_options, 0xee24ae34, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x8dad955d, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xaea66b00, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xa37cb1c6, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x662f187c, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xfb267bd0, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x667afd76, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x416a977e, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x555a9890, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x0d40c649, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xd243c3d2, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x983c23d0, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x6271242a, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x8ef4008e, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x8a56eed7, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x5eff43db, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x14465bdf, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0xb072b5e6, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x5df4ecde, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x2933a3ed, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x2143f827, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xa18c6751, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x34b46ca2, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x45b01d0b, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xb933777b, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x3c723a21, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x62ca8352, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x29015d6e, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x33cd1590, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x1c80936a, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0xa7b923d1, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x29dd7e64, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x5160967b, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x839b2ec6, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xbfb0a76a, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xc8d0ed11, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x7d7e063a, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x7b39485a, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x784ac218, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xd85cf40a, "_gpl");
SYMBOL_CRC(nfs_path, 0x0955efa3, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x1ece5986, "_gpl");
SYMBOL_CRC(nfs_submount, 0xedb56db1, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x214a3ae5, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x318cd5a7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xdf513963, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x46940b9a, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xb6c6eb13, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x898cfb02, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x5bca0f68, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x453d79a5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x94d2fff0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0x287b1a89, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x6a80dde5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x34a070e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x14e962a7, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xe8e1d865, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0xf32156a1, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xa08d3cd1, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xf8791ea2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ea8a687, "rpc_put_task" },
	{ 0x584c498a, "super_setup_bdi_name" },
	{ 0xe1e7c856, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb90a7db2, "inode_update_timestamps" },
	{ 0xe914e41e, "strcpy" },
	{ 0xbd70e507, "filemap_fdatawrite" },
	{ 0x498abc9c, "generic_fillattr" },
	{ 0x8bcff89b, "vfs_fsync_range" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0xac7fa226, "clear_nlink" },
	{ 0x3e14a606, "file_check_and_advance_wb_err" },
	{ 0xbbeef734, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6730b16b, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x48fe9cde, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb580cb78, "clear_inode" },
	{ 0x5b277acc, "inode_to_bdi" },
	{ 0xa4c05587, "bpf_trace_run4" },
	{ 0xa165fdea, "__fscache_acquire_volume" },
	{ 0xdcb26387, "ida_destroy" },
	{ 0xa416722f, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa91e4a90, "proc_dointvec_jiffies" },
	{ 0xec636e70, "rpc_proc_register" },
	{ 0x279c31d3, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd369ad63, "sysfs_create_file_ns" },
	{ 0xb63941c6, "rpc_shutdown_client" },
	{ 0xbe65a565, "fs_param_is_string" },
	{ 0xf45d11a2, "folio_unlock" },
	{ 0xd253c011, "mnt_set_expiry" },
	{ 0x7e3f169e, "param_ops_ushort" },
	{ 0x7d2d829f, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x420eeca3, "generic_file_splice_read" },
	{ 0x6424e092, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x66313b9a, "filemap_map_pages" },
	{ 0x1c20f1e2, "__fscache_begin_read_operation" },
	{ 0xf793908d, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0xc1102c8f, "kobject_rename" },
	{ 0xa73760b0, "security_sb_set_mnt_opts" },
	{ 0x88e80116, "init_special_inode" },
	{ 0xdde92ccd, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaea41030, "filemap_fdatawrite_range" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xea132c05, "folio_wait_bit_killable" },
	{ 0xe761f398, "finish_wait" },
	{ 0x72e62303, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x8aabd25f, "d_make_root" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x3241c7c9, "sync_filesystem" },
	{ 0x99863b74, "__fscache_unuse_cookie" },
	{ 0x116f7ade, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0xeb84df88, "sget_fc" },
	{ 0xa5ec2333, "d_splice_alias" },
	{ 0x400addff, "generic_error_remove_page" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd1142d23, "unmap_mapping_range" },
	{ 0xeaaa7c24, "ihold" },
	{ 0xe4bbb7f0, "inode_dio_wait" },
	{ 0xc525dee1, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x2dc11f77, "invalidate_inode_pages2_range" },
	{ 0xfcd96af8, "read_cache_page" },
	{ 0xa5bbd606, "finish_open" },
	{ 0x6d9f9472, "iput" },
	{ 0xca4e0e79, "kset_unregister" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0xae1a9503, "security_sb_clone_mnt_opts" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9bd3bd50, "fs_param_is_enum" },
	{ 0x3ed6661d, "logfc" },
	{ 0xbafde266, "__put_devmap_managed_page_refs" },
	{ 0x2503baed, "iter_file_splice_write" },
	{ 0xecf424f5, "rpc_pton" },
	{ 0xf3ff20cf, "mod_node_page_state" },
	{ 0xb83560b2, "rpc_wake_up_queued_task" },
	{ 0xbb96a057, "bpf_trace_run2" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xfa1fb745, "remove_proc_subtree" },
	{ 0x58810086, "rpc_restart_call_prepare" },
	{ 0x4b7e79f2, "d_lookup" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbd955180, "__module_get" },
	{ 0x6ac872c, "__fscache_relinquish_cookie" },
	{ 0x994278c8, "register_filesystem" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x23ea1711, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xbfb73f6f, "mempool_free" },
	{ 0x24b239aa, "filemap_add_folio" },
	{ 0xf2b7ea64, "rpc_sleep_on" },
	{ 0x71931911, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x16211c61, "netfs_readahead" },
	{ 0x3a191dac, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe02e119d, "d_prune_aliases" },
	{ 0x1785148a, "__put_cred" },
	{ 0x14ff047b, "register_pernet_subsys" },
	{ 0xba5a5e97, "rpc_cancel_tasks" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34701582, "migrate_folio" },
	{ 0x5262fdf9, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3b3d9e55, "fs_param_is_u32" },
	{ 0xb7a7a752, "inode_newsize_ok" },
	{ 0x2f08cfe6, "d_drop" },
	{ 0x49f03d71, "deactivate_super" },
	{ 0xd8dc76ca, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xc510a4dd, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x8ac413a0, "security_sb_mnt_opts_compat" },
	{ 0x414894a8, "param_get_uint" },
	{ 0x49110cf2, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xabd71c10, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0x51beaacc, "make_kuid" },
	{ 0x1d381d9f, "truncate_inode_pages_final" },
	{ 0xaeb6ce29, "d_alloc" },
	{ 0xc434e0af, "fs_kobj" },
	{ 0x624f839f, "net_ns_type_operations" },
	{ 0x54ef87b9, "__filemap_set_wb_err" },
	{ 0xc311ed9, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x624c9196, "generic_perform_write" },
	{ 0xc54ef5b3, "__filemap_get_folio" },
	{ 0x6a65c093, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x4eed189e, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb13ff75c, "module_put" },
	{ 0xba1db40a, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9342fdb2, "rpc_setbufsize" },
	{ 0x1f1c1bee, "fs_context_for_submount" },
	{ 0xbefb068a, "inode_init_once" },
	{ 0x5b72dd5b, "folio_wait_private_2" },
	{ 0x1fcd21f2, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x4020d764, "idr_remove" },
	{ 0x82cc4203, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xc611c84e, "ilookup5" },
	{ 0x3934f575, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4bb08633, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0xc3bf89d6, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0xd6a9068a, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xbb399d6c, "up_write" },
	{ 0x6c63e324, "generic_file_read_iter" },
	{ 0x675e80f7, "unlock_page" },
	{ 0x8f03cba2, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa6f66de8, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3ca140a, "put_fs_context" },
	{ 0xf7cae7be, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc969f5fb, "kobj_sysfs_ops" },
	{ 0x5cafc8ea, "xa_load" },
	{ 0x845f36, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe211608b, "write_cache_pages" },
	{ 0x40e9e21b, "set_nlink" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfd785691, "rpc_max_payload" },
	{ 0xdd6e682, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xd69f6747, "d_move" },
	{ 0xcbec3be0, "seq_putc" },
	{ 0x39150558, "rpc_proc_unregister" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e4887e3, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8efdc454, "folio_wait_writeback" },
	{ 0xdc267c4, "ida_free" },
	{ 0xea3fbb47, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xe1bf59e, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x64f75574, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd79de295, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x3a4b98d8, "rpc_create" },
	{ 0xc2c5c41f, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xda1c9830, "__folio_start_writeback" },
	{ 0x40c55b6a, "d_obtain_root" },
	{ 0x9108e31e, "bpf_trace_run1" },
	{ 0xf31c2c74, "param_ops_short" },
	{ 0xd528c300, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x2b647dc4, "folio_end_writeback" },
	{ 0x6860d255, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x94172cf0, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x351ceae, "rpc_put_task_async" },
	{ 0xcf0c3a58, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xba9e7203, "xdr_init_decode_pages" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x72dbe6e0, "rpc_exit" },
	{ 0x844179b5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6c711630, "d_delete" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x7b02d865, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x71077793, "nfs_ssc_unregister" },
	{ 0xd6e737b2, "rpc_killall_tasks" },
	{ 0xd5e040f1, "down_read" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0xf1e810df, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf5ee1455, "iov_iter_get_pages_alloc2" },
	{ 0x80dd80e8, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb090c98b, "bpf_trace_run3" },
	{ 0x502fa6ab, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x213caae1, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7dc743ef, "generic_read_dir" },
	{ 0x2936cc70, "kobject_del" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0xde615ceb, "d_add" },
	{ 0xcffe9f1b, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x6cd28e18, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0xe0df205a, "security_inode_notifysecctx" },
	{ 0x63d6536b, "nfs_ssc_register" },
	{ 0x664a8308, "init_user_ns" },
	{ 0xe91232a5, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd204903c, "invalidate_inode_pages2" },
	{ 0x1b675d1d, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6ba4790a, "mempool_destroy" },
	{ 0xcefb0206, "__folio_put" },
	{ 0x9285062d, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1aa28457, "seq_printf" },
	{ 0xd6e02d5b, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x1807e8b8, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3d6b8c5e, "deactivate_locked_super" },
	{ 0x94407fa4, "put_rpccred" },
	{ 0xd5ccc727, "__percpu_down_read" },
	{ 0x54ebcf6b, "__d_lookup_unhash_wake" },
	{ 0x49c68c46, "kobject_uevent" },
	{ 0xe5f1309b, "__fscache_invalidate" },
	{ 0x8651c0ca, "folio_mapping" },
	{ 0x8ad36ff1, "downgrade_write" },
	{ 0xb1e0027c, "cred_fscmp" },
	{ 0xb08f1667, "__folio_lock" },
	{ 0x7947ca1a, "filemap_dirty_folio" },
	{ 0x75c614d2, "pagecache_get_page" },
	{ 0x56e316b3, "is_bad_inode" },
	{ 0x1d0dbe9f, "proc_dointvec" },
	{ 0x7425d53a, "seq_puts" },
	{ 0xd562e824, "__fscache_use_cookie" },
	{ 0x90bba94, "rcuwait_wake_up" },
	{ 0x69cccf2c, "_proc_mkdir" },
	{ 0x67000f17, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xd7f04519, "seq_escape" },
	{ 0x7531ff44, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x58dfce64, "__fs_parse" },
	{ 0x3ed379f1, "sysfs_create_link_nowarn" },
	{ 0x89c19bea, "dget_parent" },
	{ 0x478b99e, "nlmclnt_init" },
	{ 0x759452b1, "kill_anon_super" },
	{ 0x275631fb, "xa_find_after" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xafaaf17b, "iget5_locked" },
	{ 0x7ffc0cbd, "filemap_write_and_wait_range" },
	{ 0x81539941, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x576fc477, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0x1b4ff33a, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x25100b37, "param_ops_int" },
	{ 0x635197f1, "netfs_subreq_terminated" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xd942e87, "iov_iter_revert" },
	{ 0xae0bcd14, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9c3d7ff, "mntget" },
	{ 0x4ac52940, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0xcf579ca0, "kmem_cache_alloc_lru" },
	{ 0xc89f4668, "filemap_fault" },
	{ 0xde0c33df, "d_invalidate" },
	{ 0x506166a4, "__mark_inode_dirty" },
	{ 0xa341a464, "generic_file_llseek" },
	{ 0xc6ae0c8a, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x989f4de4, "up_read" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x1095eaad, "rpc_wait_for_completion_task" },
	{ 0x38518fa6, "set_anon_super" },
	{ 0x8707241f, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0xed815d5, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90b22543, "kobject_put" },
	{ 0x9f0aa73a, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "FD4CC61C68E5FC280E91E95");
MODULE_INFO(rhelversion, "9.6");
