#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xcd27fd18, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x8da9ca91, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x8c212903, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x2b8ec4ba, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x5bda4c53, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x04ee49f5, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x1d1c1021, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xc7330364, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0xbd8011d1, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x938362dd, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x7c262dbb, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xabf6b3ea, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x00f74432, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x1ef8ffdf, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x22b14c51, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x1c1bea5c, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x9442c029, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x6bc2ecb8, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x394d1d96, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x53b3d05d, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x35768384, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x0a742b2a, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x5bdcdb75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef74911f, "iptun_encaps" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf28bb046, "alloc_netdev_mqs" },
	{ 0x6de37691, "register_netdevice" },
	{ 0xd11e1acb, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4e2a5cf, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xccc573d6, "ip_route_output_flow" },
	{ 0x31adfecd, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe68ca3e2, "__dev_get_by_index" },
	{ 0x696101c2, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc09c790b, "gro_cells_init" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaa61ec29, "skb_copy_bits" },
	{ 0xef538d7d, "netdev_state_change" },
	{ 0xa3d53942, "ns_capable" },
	{ 0x95964c78, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2ec8f621, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdeca652f, "ipv4_mtu" },
	{ 0x12e43fca, "icmpv6_ndo_send" },
	{ 0x21196de8, "icmp_ndo_send" },
	{ 0xb3881bc6, "pskb_expand_head" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0xee6be329, "__skb_get_hash_net" },
	{ 0x75b65b22, "dst_cache_get_ip4" },
	{ 0x80d1ad64, "dst_cache_set_ip4" },
	{ 0xd46381df, "iptunnel_xmit" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdd03817f, "skb_scrub_packet" },
	{ 0xa3a28600, "gro_cells_receive" },
	{ 0xd94c1038, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdd878aa7, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8560FCA61B1BB9F08C3E8B1");
MODULE_INFO(rhelversion, "9.6");
