#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xc5fa92c1, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x26320f68, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x07b64505, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x2bdda945, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x3136fa12, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x49b761c3, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x2282e8a1, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xe885b569, "");
SYMBOL_CRC(ip_vs_conn_put, 0x342fe433, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xa1ba9dfb, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xf5119e30, "");
SYMBOL_CRC(register_ip_vs_app, 0x21c1d362, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x3a11235e, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x4c91999e, "");
SYMBOL_CRC(ip_vs_proto_get, 0x23150629, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xb9cd1a49, "");
SYMBOL_CRC(register_ip_vs_pe, 0xc8db30ee, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x23239db5, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x668fd142, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72d21284, "nf_ct_ext_add" },
	{ 0x85b29b75, "nf_conntrack_find_get" },
	{ 0xbbeef734, "try_module_get" },
	{ 0x2c9db4e8, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x10c363d2, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xaa61ec29, "skb_copy_bits" },
	{ 0xd85bf965, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa91e4a90, "proc_dointvec_jiffies" },
	{ 0xf8cf27cc, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x58389a37, "consume_skb" },
	{ 0x4685fb1f, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xe96cc6a9, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x27adf350, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf63308b3, "nf_ct_netns_get" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x7449f7f8, "kernel_bind" },
	{ 0xf1e2e9ed, "genlmsg_put" },
	{ 0x4e15ebb3, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc429e717, "ip6_route_me_harder" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbd955180, "__module_get" },
	{ 0xccc573d6, "ip_route_output_flow" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1110c828, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x14c3f2c1, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3a191dac, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3881bc6, "pskb_expand_head" },
	{ 0x14ff047b, "register_pernet_subsys" },
	{ 0x45b5ab0a, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x67d2f0f3, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x33adeb1a, "nf_register_net_hooks" },
	{ 0x65ebe433, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xf67e2d5e, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0xd7b25d92, "ipv6_sock_mc_join" },
	{ 0xb13ff75c, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xa284b91d, "ipv6_dev_get_saddr" },
	{ 0xee6be329, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2ec8f621, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0x845be14b, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb981e7ee, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xdd284512, "nf_conntrack_alter_reply" },
	{ 0x5db8319e, "ip_route_me_harder" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0xd9adb4f, "skb_push" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0xcbec3be0, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xb45756a6, "proc_doulongvec_minmax" },
	{ 0x7a3c6bca, "nf_ct_expect_alloc" },
	{ 0x1e69ecb6, "skb_ensure_writable" },
	{ 0x362feaa5, "iov_iter_kvec" },
	{ 0x236b4b7f, "ip_mc_join_group" },
	{ 0x8cf63497, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa3d53942, "ns_capable" },
	{ 0x4d0ec6cd, "nf_unregister_net_hooks" },
	{ 0xe652539f, "inet_select_addr" },
	{ 0xcbceba0e, "unregister_pernet_device" },
	{ 0xacf63f7d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc3eebbd6, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9693739f, "kthread_stop" },
	{ 0x24fdb97f, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcf0c3a58, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x80edfb3c, "kernel_connect" },
	{ 0x7e8a9798, "skb_checksum" },
	{ 0xa44df7e4, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x789d6a0, "__icmpv6_send" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0x8033a719, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5c617002, "skb_trim" },
	{ 0xb1ed1b22, "nf_hook_slow" },
	{ 0xfd2644ad, "mutex_trylock" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c02996d, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xbdde57a2, "nf_ct_deliver_cached_events" },
	{ 0xb7a1ff38, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa8dd5c51, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x252dd11f, "__icmp_send" },
	{ 0xdeca652f, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0xf0066a94, "skb_set_owner_w" },
	{ 0xe5c36f35, "__skb_checksum" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x5b1e3845, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x664a8308, "init_user_ns" },
	{ 0x67467f0f, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa25f816b, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1aa28457, "seq_printf" },
	{ 0x58ada533, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20577826, "proc_create_net_single" },
	{ 0x67eb956, "ipv4_update_pmtu" },
	{ 0xa1f4d655, "nf_defrag_ipv6_enable" },
	{ 0x31adfecd, "dst_release" },
	{ 0x1fc55edb, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1d0dbe9f, "proc_dointvec" },
	{ 0x7425d53a, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xfd155948, "unregister_net_sysctl_table" },
	{ 0xb74d0233, "ip_local_out" },
	{ 0x537f803c, "genl_unregister_family" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe61675e3, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x25100b37, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x48bcbfa2, "genl_register_family" },
	{ 0xf112d511, "kernel_sendmsg" },
	{ 0x1629784d, "nf_ct_netns_put" },
	{ 0x103d842d, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x49d66006, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x61ee622f, "proc_dointvec_minmax" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "5EAFA4B39E8688083125DED");
MODULE_INFO(rhelversion, "9.6");
