#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x2cbcc755, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xf75bb04e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x03246a4e, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x337d436c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x5160f9ae, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x567bf910, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x1c0494bc, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x22da4469, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xd74b54ac, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xa40f08e8, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xa3140856, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x14ff047b, "register_pernet_subsys" },
	{ 0x1aa28457, "seq_printf" },
	{ 0x7425d53a, "seq_puts" },
	{ 0xcf0c3a58, "unregister_pernet_subsys" },
	{ 0x33adeb1a, "nf_register_net_hooks" },
	{ 0x4d0ec6cd, "nf_unregister_net_hooks" },
	{ 0x1e69ecb6, "skb_ensure_writable" },
	{ 0x988ee224, "inet_proto_csum_replace4" },
	{ 0x5db8319e, "ip_route_me_harder" },
	{ 0xb74d0233, "ip_local_out" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xff05c8f3, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd85bf965, "xfrm_lookup" },
	{ 0x4685fb1f, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaa61ec29, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa25f816b, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x83dceadc, "nf_ct_tmpl_alloc" },
	{ 0x72d21284, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3a191dac, "proc_create_net_data" },
	{ 0x58c79a1c, "nf_ct_tmpl_free" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xf67e2d5e, "__alloc_skb" },
	{ 0x9b7d9379, "skb_put" },
	{ 0x4a31912c, "ipv6_skip_exthdr" },
	{ 0x56bfad10, "nf_ct_seqadj_init" },
	{ 0x58389a37, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.6");
