#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0x75742012, "_gpl");
SYMBOL_CRC(nft_request_module, 0xf242353b, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x4dfb76c5, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x3a890438, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x56335e68, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x6308e909, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0xee31f3da, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xf46e806a, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0xab1a672e, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x73325333, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xb2bc21a8, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x797a172e, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x5ebfdb90, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x4ca602aa, "_gpl");
SYMBOL_CRC(nft_register_obj, 0xcbf6f150, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x5efa0a58, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x2359cd96, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xb28fb85c, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x483dc4a2, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x69659810, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x5677a2b9, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0xc65c16d9, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x66c48254, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x11b37f59, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x3b0ba1e1, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x1b98c042, "_gpl");
SYMBOL_CRC(nft_data_init, 0x3556e953, "_gpl");
SYMBOL_CRC(nft_data_release, 0xf32a85df, "_gpl");
SYMBOL_CRC(nft_data_dump, 0x7417eac5, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x77557d24, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0x950f97af, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xd954a60c, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0x8f28c8a7, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xb4e0fdb6, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xbe6b02dd, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0xa95c92f3, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0xc088f19f, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x8aad1c90, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x20ab2986, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x5a57de88, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x3badd448, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96a0ef8c, "__do_once_done" },
	{ 0xe15d8c58, "__netlink_dump_start" },
	{ 0xdceb3063, "flow_rule_alloc" },
	{ 0xbbeef734, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0xaa61ec29, "skb_copy_bits" },
	{ 0xb4b5e405, "__nlmsg_put" },
	{ 0x9b7d9379, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x1c59bfa1, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x3e22e3a2, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x92406af, "nfnetlink_subsys_register" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xd8b318e1, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbd955180, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xe602a40c, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x14c3f2c1, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14ff047b, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd79c1450, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x649ca628, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0xf67e2d5e, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xff05c8f3, "nf_ipv6_ops" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9ab11418, "rt_write_unlock" },
	{ 0xb13ff75c, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9c2303c, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x6750cded, "nf_register_net_hook" },
	{ 0xee6be329, "__skb_get_hash_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0x5db8319e, "ip_route_me_harder" },
	{ 0x6f707fd4, "skb_store_bits" },
	{ 0x2563431a, "dev_get_by_index_rcu" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x4d0b84d1, "nfnetlink_unicast" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1e69ecb6, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7f9f596d, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4045f718, "flow_indr_dev_setup_offload" },
	{ 0x6e72b7c, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xcf0c3a58, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfdd6f8be, "rhashtable_free_and_destroy" },
	{ 0x7e8a9798, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x40928efb, "rht_bucket_nested_insert" },
	{ 0x53d23b11, "nfnetlink_send" },
	{ 0xb10e26a0, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xdf7b0d3d, "nfnetlink_subsys_unregister" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x2eee1af2, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5c617002, "skb_trim" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x502fa6ab, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x6eb0458d, "rhashtable_insert_slow" },
	{ 0xa8dd5c51, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x55e4470a, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdeca652f, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xe5c36f35, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x988ee224, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37f1633f, "rt_read_unlock" },
	{ 0xe7a77a99, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x31adfecd, "dst_release" },
	{ 0xa8c4877b, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x5b67dd56, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xdf8ae14, "from_kuid_munged" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x6e63f7c, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x769ffc0a, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "FCB97D0C43B6B6E5F5F3F58");
MODULE_INFO(rhelversion, "9.6");
