#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x1ee4a3fe, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x35fdd398, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x29b0c1ee, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x604275ca, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xd4f5aae0, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xab6ae5aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72d21284, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a77cf1, "nsh_pop" },
	{ 0x85b29b75, "nf_conntrack_find_get" },
	{ 0xf2387986, "nf_ct_set_timeout" },
	{ 0x1ecc94cb, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0xbbeef734, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb3d1dcd5, "dev_fill_metadata_dst" },
	{ 0xa4c05587, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xeead26a, "nf_ct_handle_fragments" },
	{ 0x5fd85e41, "eth_mac_addr" },
	{ 0x9b7d9379, "skb_put" },
	{ 0xe93ab9dd, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x62033259, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x58389a37, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x731b229a, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3874f50e, "skb_eth_pop" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0x39c4b2f6, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x82287674, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x693efae5, "nf_ct_helper" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x482c4b04, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0x85633806, "rtnl_delete_link" },
	{ 0xec52e9f0, "rtnl_link_register" },
	{ 0x55982296, "nf_connlabels_put" },
	{ 0xf1e2e9ed, "genlmsg_put" },
	{ 0x399ebf77, "___pskb_trim" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x87e47f08, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9146090, "dev_set_promiscuity" },
	{ 0x867bbc69, "nf_ct_destroy_timeout" },
	{ 0x5a284bb4, "nf_ct_add_helper" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xca1544fa, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9cd6c3a, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfd67628e, "nf_ct_skb_network_trim" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0xf4e2a5cf, "unregister_netdevice_queue" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xd6297b3f, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x813fb638, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8004b177, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3881bc6, "pskb_expand_head" },
	{ 0xb2579fde, "skb_csum_hwoffload_help" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x79f5c181, "nf_connlabels_replace" },
	{ 0xd94c1038, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf28bb046, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5c1f94f8, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x33ac37dd, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0x2df117e5, "skb_eth_push" },
	{ 0x30df54b, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xf67e2d5e, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0xb159160a, "skb_mpls_pop" },
	{ 0x2c375195, "skb_vlan_pop" },
	{ 0x55d0b4e9, "dst_init" },
	{ 0xb13ff75c, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xee6be329, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x57886b6c, "rtnl_link_unregister" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0x2ec8f621, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x889c136f, "ipv6_stub" },
	{ 0x55a20520, "skb_mpls_update_lse" },
	{ 0x2afc49cf, "skb_pull" },
	{ 0x9ac08545, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0x845be14b, "netlink_unicast" },
	{ 0x845f36, "bpf_trace_run5" },
	{ 0x2563431a, "dev_get_by_index_rcu" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0xd9adb4f, "skb_push" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0x6a62840e, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0x1e69ecb6, "skb_ensure_writable" },
	{ 0xd11e1acb, "free_netdev" },
	{ 0xb52fbbb5, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcbceba0e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x877f8a02, "ethtool_op_get_link" },
	{ 0x24fdb97f, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x9af9ee41, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0x8033a719, "nf_ct_delete" },
	{ 0xa766f243, "nf_conncount_init" },
	{ 0x841b2561, "skb_vlan_push" },
	{ 0x884548a6, "dev_get_tstats64" },
	{ 0x8efa507b, "netif_rx" },
	{ 0xbaf24712, "__netdev_alloc_skb" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xe9bda550, "netdev_master_upper_dev_link" },
	{ 0x4d0bd117, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5e040f1, "down_read" },
	{ 0xad501445, "inet_proto_csum_replace16" },
	{ 0x5c617002, "skb_trim" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd03817f, "skb_scrub_packet" },
	{ 0xbdde57a2, "nf_ct_deliver_cached_events" },
	{ 0xa8dd5c51, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x139873d0, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xbb86f57, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0xe5c36f35, "__skb_checksum" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x988ee224, "inet_proto_csum_replace4" },
	{ 0xdd1a1c0d, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9fef7d2e, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6f2c6852, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1ddea1e5, "dev_get_by_name" },
	{ 0xd4eb9584, "skb_clone" },
	{ 0x64fb5805, "metadata_dst_alloc" },
	{ 0x31adfecd, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7f13d714, "peernet2id_alloc" },
	{ 0xbf9680b6, "nf_ct_get_tuplepr" },
	{ 0xad6f3530, "netdev_rx_handler_register" },
	{ 0x5adf23b8, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x537f803c, "genl_unregister_family" },
	{ 0x8bd10f9e, "dev_disable_lro" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xbcf3c2c5, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x48bcbfa2, "genl_register_family" },
	{ 0x58c79a1c, "nf_ct_tmpl_free" },
	{ 0x816d8c1e, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf5aba354, "__skb_gso_segment" },
	{ 0x989f4de4, "up_read" },
	{ 0x225b8e7d, "skb_mpls_push" },
	{ 0x103d842d, "register_pernet_device" },
	{ 0xe16e5231, "nf_conntrack_in" },
	{ 0xffc2a4ae, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x8a6c172c, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x40000230, "__skb_vlan_pop" },
	{ 0x83dceadc, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6de37691, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "AC0920AF4C02966DA61C801");
MODULE_INFO(rhelversion, "9.6");
