#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x034aafd9, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x9c9101b8, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xb22dbd53, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x8617d90f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xe8dab57b, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xed1ca027, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xe7e3370a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xde118598, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x8088e9d9, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xf6de9481, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x01031dd1, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x5a6a97f7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xb5971d64, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xc28a8807, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x043e2109, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xf9597de9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x32447b89, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xa2284eee, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x2e91e180, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x3175e819, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xce0bc1d8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x8d58e027, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xd77656d2, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x3846d1fc, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x133ddfd1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xf0687ea5, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x731745c6, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x6cc257ec, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xd4c505a3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xa83d5e2d, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x5710f2cf, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x81d17560, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xe155ed30, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xd7a7d1b1, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x7d6cfc30, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x076e2a3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe998a102, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6026f06, "vsock_insert_connected" },
	{ 0x9b7d9379, "skb_put" },
	{ 0x58389a37, "consume_skb" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x70fd1ee4, "vsock_remove_sock" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0x9b648705, "vsock_deliver_tap" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf63b6f01, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa32577e6, "sk_error_report" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf13fe4, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xf67e2d5e, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0x241633d1, "sk_free" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe9eca82, "__skb_recv_datagram" },
	{ 0xacf63f7d, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb6c9f9a9, "vsock_stream_has_data" },
	{ 0x935bbf15, "skb_copy_datagram_iter" },
	{ 0x75ce13c9, "bpf_trace_run9" },
	{ 0x5e4dacbb, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x65873da2, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x88a19b8d, "bpf_trace_run10" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x3e2c1bbe, "vsock_core_get_transport" },
	{ 0xbabed3d0, "__zerocopy_sg_from_iter" },
	{ 0x13e33a1b, "vsock_stream_has_space" },
	{ 0xf0066a94, "skb_set_owner_w" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x359cebe0, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa51c3594, "remove_wait_queue" },
	{ 0x766f9193, "msg_zerocopy_realloc" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x56b4943a, "vsock_create_connected" },
	{ 0x9d7d5d0c, "vsock_assign_transport" },
	{ 0xd942e87, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8d5ecd46, "iov_iter_npages" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x49d66006, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcb39ff6c, "vsock_data_ready" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "A83978B61406F846F639C03");
MODULE_INFO(rhelversion, "9.6");
