#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xb8410ff5, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xf01709e6, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x877c514a, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x5bd091b6, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0x754e886f, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x717411af, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0xe3153029, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xa56a8c35, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x42914342, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x6abde477, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x1e8e5c3b, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x0010be5b, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x29b9711e, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x697d0773, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x9ed87634, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x288d70eb, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0xe7e34498, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee5bdb87, "gpiod_get_value_cansleep" },
	{ 0x58c97446, "regcache_cache_only" },
	{ 0x234756, "regcache_sync" },
	{ 0xb33057bd, "regmap_write" },
	{ 0x4ca3478c, "devm_request_threaded_irq" },
	{ 0x54d4d59d, "cs_amp_get_efi_calibration_data" },
	{ 0x92369f75, "regmap_raw_read" },
	{ 0xa606b23b, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90cc02a6, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x43ad430a, "device_property_read_u32_array" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0x7165105c, "regmap_multi_reg_write_bypassed" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0xca44326a, "gpiod_put_array" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc53b329, "regmap_read_bypassed" },
	{ 0xab3c81c9, "regmap_read" },
	{ 0xdfb8ce9e, "__pm_runtime_resume" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd4f1ceaf, "_dev_crit" },
	{ 0x98bc6384, "regmap_update_bits_base" },
	{ 0xbbe1aed5, "dev_err_probe" },
	{ 0x5b760f9b, "__pm_runtime_suspend" },
	{ 0x60ee0405, "regmap_register_patch" },
	{ 0x5efa6569, "__pm_runtime_idle" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "94DCE6023FB29AC8F36F1CB");
MODULE_INFO(rhelversion, "9.6");
