#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0xfa6db8cf, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0x57b618b7, "_gpl");
SYMBOL_CRC(ahci_ops, 0x64991a5f, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x8f23aeb0, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x905db613, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x81aa8d5f, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x0e60daaf, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xbe9c95f4, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x8e195580, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x25e694d1, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x4aa2d095, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x16dccaf8, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x319f96ea, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x53ed0ae6, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xd98e238a, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x07558e0b, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x926f1dcb, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xeb4f592f, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xcd55d3ea, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xae3eaca8, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x71048580, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x4ad19563, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x238dd3f7, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xdd3a3ce9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xc0c249ce, "ata_std_qc_defer" },
	{ 0xe707c3ce, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0xc2377e73, "ata_port_classify" },
	{ 0x7edeb0ba, "ata_qc_complete_multiple" },
	{ 0xa76c2f7c, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5f0397b4, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x17c3e16c, "ata_host_start" },
	{ 0x4ca3478c, "devm_request_threaded_irq" },
	{ 0x97948106, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xbff69db4, "ata_host_register" },
	{ 0xb6a98ec1, "ata_host_activate" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0xa9d9d2dc, "ata_dummy_port_ops" },
	{ 0x72809227, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xdc40e478, "devm_kmalloc" },
	{ 0xd6a853c2, "dmam_alloc_attrs" },
	{ 0x4b25f0f7, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x2e58165a, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa01996c4, "sata_link_hardreset" },
	{ 0xe7dcef24, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xba90083, "ata_ehi_clear_desc" },
	{ 0xbccc9bcf, "ata_ehi_push_desc" },
	{ 0x903a9f35, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9a864d2, "ata_port_abort" },
	{ 0x44dfa238, "sata_lpm_ignore_phy_events" },
	{ 0x3ca3c37e, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x25100b37, "param_ops_int" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0x950eed24, "sata_pmp_port_ops" },
	{ 0xbb59ec0b, "dev_attr_sw_activity" },
	{ 0xdb9647da, "dev_attr_unload_heads" },
	{ 0x15f9f02a, "dev_attr_ncq_prio_supported" },
	{ 0x22798a35, "dev_attr_ncq_prio_enable" },
	{ 0xdc485439, "dev_attr_link_power_management_policy" },
	{ 0xfa5a4de6, "dev_attr_em_message_type" },
	{ 0xae1a7098, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdfb8ce9e, "__pm_runtime_resume" },
	{ 0x5efa6569, "__pm_runtime_idle" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa20e1a81, "ata_link_next" },
	{ 0xc7cc37e0, "ata_wait_register" },
	{ 0xe9d300e8, "ata_dev_set_feature" },
	{ 0x8e410e6c, "_dev_info" },
	{ 0x1a6448b4, "sata_link_scr_lpm" },
	{ 0xa1ea458a, "ata_msleep" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0xb966f5ac, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.6");
