#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x78c859b8, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x63164321, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0x2996a733, "");
SYMBOL_CRC(ipmi_get_smi_info, 0x95d05ddf, "");
SYMBOL_CRC(ipmi_destroy_user, 0xf388b18b, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0x06d4534c, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0xa8248440, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0xef748acf, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0xa3433016, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x56fafb75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e410e6c, "_dev_info" },
	{ 0x56692f92, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0x32309f30, "sysfs_remove_link" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbbeef734, "try_module_get" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1922df6a, "synchronize_srcu" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb13ff75c, "module_put" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0xe761f398, "finish_wait" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0xde5cb56d, "device_create_file" },
	{ 0x84ad3a1d, "device_remove_file" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x779ffe0b, "rt_spin_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa7a52247, "platform_bus_type" },
	{ 0xa655868d, "param_ops_uint" },
	{ 0xa416722f, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x957a9d67, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x61d60e7a, "platform_device_unregister" },
	{ 0xdc267c4, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9c55eedd, "panic_notifier_list" },
	{ 0xe28ec8cd, "atomic_notifier_chain_unregister" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0xd16de308, "driver_unregister" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x8a75e1a6, "driver_register" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x54c34fb8, "init_srcu_struct" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x9f34d89e, "atomic_notifier_chain_register" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x50eaec63, "__srcu_read_lock" },
	{ 0xde7bdc49, "__srcu_read_unlock" },
	{ 0xbf3b278c, "driver_find_device" },
	{ 0x18e7dd0c, "put_device" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0xe5d516bb, "platform_device_register" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A772B10D8F1C4D580F041E4");
MODULE_INFO(rhelversion, "9.6");
