#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xbe4dac00, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x321d5705, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x63e6ea5a, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xca1f0373, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xe5c814aa, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x61c365b5, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x1b892d1d, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0xd51aa512, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0xe84ccf44, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xfc57f484, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0xca1663f2, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x0c90ca6a, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x57026ef8, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x94888de4, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x507c3665, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x3ea81e27, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x323f7511, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x3a585105, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x6312325b, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x32e8ae3b, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x73ff1f34, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x0fa4d467, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x7daaaa41, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x91fcda09, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x8f92147b, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x4d7c6451, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x76607143, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xe011d4cf, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x2fb594a6, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xa0144cc0, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x0ba82f5b, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x194f60da, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xeb53104f, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x9e2ee54b, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xa05cbf2f, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x45df52b4, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xc11fb136, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x02bb40c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x351d4f94, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x4b25f0f7, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7626130, "drm_exec_prepare_array" },
	{ 0x7e18ae8f, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x103b0926, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1b1688e, "drm_exec_prepare_obj" },
	{ 0xfb96030b, "drm_exec_lock_obj" },
	{ 0x66dfd7f6, "drm_exec_init" },
	{ 0x7735f14a, "drm_exec_cleanup" },
	{ 0x8a070a6, "drm_exec_fini" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
MODULE_INFO(rhelversion, "9.6");
