#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xa928e776, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x0e1a8463, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x57229d3b, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0xafac2da9, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0xf51b0d82, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x8345ae0d, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xf601dc96, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x7c37b2c6, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xafafa601, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x9b12b585, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xba34777e, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x9485ea28, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x30019ea6, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x538cfd56, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xcc90af73, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x5e6ea62f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xc5804c8d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xfa28c1f5, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x68ea1578, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xa4991882, "drm_client_register" },
	{ 0xbbeef734, "try_module_get" },
	{ 0x90d944d6, "drm_fb_helper_init" },
	{ 0xd5b8cc67, "drm_fb_helper_debug_enter" },
	{ 0x337590b8, "ww_mutex_lock_interruptible" },
	{ 0xab37de03, "vmf_insert_pfn" },
	{ 0x35954833, "drm_gem_get_pages" },
	{ 0xb1338ada, "dma_buf_vmap" },
	{ 0xb46f028a, "drm_client_buffer_vmap" },
	{ 0xd395862, "drm_fb_helper_lastclose" },
	{ 0x89f0c45e, "drm_fb_helper_setcmap" },
	{ 0x5a21edc2, "drm_fb_helper_alloc_info" },
	{ 0xf7505ca3, "drm_helper_disable_unused_functions" },
	{ 0xc4c2b332, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x83d9edc4, "drm_fb_helper_fini" },
	{ 0xda3e7f6c, "drm_client_framebuffer_delete" },
	{ 0x372bbda7, "drm_client_framebuffer_create" },
	{ 0xb9cc1977, "invalidate_mapping_pages" },
	{ 0x30309c96, "ww_mutex_unlock" },
	{ 0x110bf33b, "drm_fb_helper_deferred_io" },
	{ 0x7266ba7e, "drm_fb_helper_release_info" },
	{ 0xd1142d23, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xef39d1c0, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c32222f, "drm_driver_legacy_fb_format" },
	{ 0xed95e174, "drm_fb_helper_fill_info" },
	{ 0xe4610c58, "drm_gem_create_mmap_offset" },
	{ 0x8d56e328, "fb_deferred_io_init" },
	{ 0x69ab8e66, "fb_deferred_io_cleanup" },
	{ 0x6a81a9fe, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b25f0f7, "dev_driver_string" },
	{ 0x5525a45d, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd92427b, "fb_sys_write" },
	{ 0x4e61ab0d, "sys_imageblit" },
	{ 0xb40ad959, "drm_fb_helper_damage_range" },
	{ 0x45d0e297, "drm_fb_helper_blank" },
	{ 0x103b0926, "drm_gem_private_object_init" },
	{ 0x35838887, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf1e0976, "drm_fb_helper_damage_area" },
	{ 0x6288b92a, "sys_fillrect" },
	{ 0xad4b887f, "set_pages_array_wb" },
	{ 0xb13ff75c, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x1a3c8918, "drm_client_init" },
	{ 0xe2f37753, "drm_gem_vm_close" },
	{ 0xc123578e, "drm_gem_vm_open" },
	{ 0xcf03db79, "drm_fb_helper_prepare" },
	{ 0xd6a9068a, "down_write" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0xbb399d6c, "up_write" },
	{ 0x351d4f94, "drm_gem_object_release" },
	{ 0x2ac1be3a, "ww_mutex_lock" },
	{ 0x42928984, "vmap" },
	{ 0x31fe9455, "drm_gem_handle_create" },
	{ 0xd5bddc4e, "drm_gem_fb_get_obj" },
	{ 0x90f11a80, "__drm_dev_dbg" },
	{ 0x7ef2bd26, "drm_prime_pages_to_sg" },
	{ 0xabe6703a, "fb_deferred_io_mmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa520c57c, "drm_fb_helper_pan_display" },
	{ 0xc21255d1, "dma_buf_vunmap" },
	{ 0xec7c60c8, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f1000cb, "sys_copyarea" },
	{ 0x39deabb3, "shmem_truncate_range" },
	{ 0xa9d9d60d, "set_pages_array_wc" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x5cf5a916, "dma_map_sgtable" },
	{ 0x2522a1f4, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbb820069, "drm_client_buffer_vunmap" },
	{ 0x36f75e86, "fb_sys_read" },
	{ 0x280d2b4d, "drm_fb_helper_debug_leave" },
	{ 0x65996dd0, "dma_unmap_sg_attrs" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x776cd5b6, "drm_fb_helper_initial_config" },
	{ 0x8cb96d25, "drm_fb_helper_unregister_info" },
	{ 0xb4e5cb36, "drm_gem_put_pages" },
	{ 0x9e1c8aef, "drm_gem_private_object_fini" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xa6c7dec9, "drm_fb_helper_ioctl" },
	{ 0xa02531d3, "drm_fb_helper_set_par" },
	{ 0xeb5190cf, "drm_prime_gem_destroy" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "0A2DBE5C0E15DC70B9E9C60");
MODULE_INFO(rhelversion, "9.6");
