#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xa5463bae, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xbe0360a3, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x3f0b7287, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x2eeb5d85, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xf1c5f878, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x0ad40364, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x8ef3fc75, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xc48cebbb, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x9dacdeb0, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x7dab623d, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xfeb71880, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xcbae225f, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xed7499ea, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x8957a7d6, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x06263a2e, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x54edc1a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xe33be481, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0x314eedc5, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe49efcc2, "seq_lseek" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0xe32d30e5, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45b5ab0a, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd9eea31f, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25b018ab, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x18e7dd0c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8c0f0ca9, "bus_unregister" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x4f893fa2, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9693739f, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x2c02996d, "kthread_create_on_node" },
	{ 0xa6815821, "seq_read" },
	{ 0xb73df45c, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd22760ad, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x9285062d, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1aa28457, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7425d53a, "seq_puts" },
	{ 0xdd4d9842, "single_release" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x25100b37, "param_ops_int" },
	{ 0x666ac6b9, "single_open" },
	{ 0x5f9eba27, "debugfs_create_dir" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x3b71fc8c, "cdev_init" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x8da20ea5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.6");
