#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa971616d, "mmc_run_bkops" },
	{ 0x2fdb9874, "set_disk_ro" },
	{ 0xb6db55c2, "mmc_unregister_driver" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaf08e61c, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4817b660, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8052f996, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe55d886a, "mmc_cqe_post_req" },
	{ 0xe33be481, "cdev_device_del" },
	{ 0x462dd3c3, "mmc_calc_max_discard" },
	{ 0x9ff156dc, "pm_runtime_set_autosuspend_delay" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0xbeeefe51, "mmc_get_card" },
	{ 0x8db2af00, "mmc_can_erase" },
	{ 0x88dc8fa8, "mmc_card_alternative_gpt_sector" },
	{ 0x314eedc5, "device_initialize" },
	{ 0x36d5e38f, "blk_mq_unquiesce_queue" },
	{ 0x6718165d, "mmc_sanitize" },
	{ 0xe81350e0, "blk_mq_quiesce_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x273ccdae, "mmc_erase_group_aligned" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0xe32d30e5, "get_device" },
	{ 0xcbe214ec, "blk_mq_end_request" },
	{ 0x42181610, "__blk_mq_alloc_disk" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12a0c195, "blk_mq_alloc_tag_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b6fcd57, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0xcf1b6200, "put_disk" },
	{ 0xd9eea31f, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x9c689e73, "__mmc_claim_host" },
	{ 0xe800a8f, "mmc_start_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x20db3898, "blk_execute_rq" },
	{ 0x18e7dd0c, "put_device" },
	{ 0x5749165e, "pm_runtime_enable" },
	{ 0xc66f7499, "blk_mq_free_request" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8088e370, "mmc_cmdq_enable" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x1f867ce5, "debugfs_attr_read" },
	{ 0x8b5738d2, "mmc_prepare_busy_cmd" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8c0f0ca9, "bus_unregister" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0xb5608a9f, "blk_update_request" },
	{ 0x4d41e0bd, "debugfs_create_file_unsafe" },
	{ 0x48a91171, "string_get_size" },
	{ 0x4ccd15b0, "simple_attr_release" },
	{ 0x6e2c8bf3, "set_capacity" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x4f893fa2, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xdd842e63, "mmc_set_data_timeout" },
	{ 0xddfb2729, "__blk_rq_map_sg" },
	{ 0x2ca1c85f, "blk_mq_alloc_request" },
	{ 0xdc267c4, "ida_free" },
	{ 0xbc4069e1, "mmc_retune_pause" },
	{ 0x6f292ce4, "blk_mq_free_tag_set" },
	{ 0x95027b9c, "del_gendisk" },
	{ 0xba4c69da, "mmc_cqe_recovery" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3adcfb02, "mmc_can_secure_erase_trim" },
	{ 0x8defcfca, "mmc_poll_for_busy" },
	{ 0xdd27dcfa, "mmc_detect_card_removed" },
	{ 0xfb31912d, "default_llseek" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77e388fb, "mmc_wait_for_req" },
	{ 0xf53e5b0f, "mmc_release_host" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xb091f453, "mmc_switch" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x17fea963, "nonseekable_open" },
	{ 0xa726dad6, "mmc_get_ext_csd" },
	{ 0xb13f9697, "mmc_register_driver" },
	{ 0xefaf1244, "mmc_cqe_start_req" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b88bf81, "blk_mq_complete_request" },
	{ 0xb73df45c, "debugfs_create_file" },
	{ 0x8d378646, "dma_get_merge_boundary" },
	{ 0x1575de9b, "mmc_can_trim" },
	{ 0x4a260d73, "__mmc_poll_for_busy" },
	{ 0xc8b79aaa, "mmc_app_cmd" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdfb8ce9e, "__pm_runtime_resume" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2ee051e4, "mmc_put_card" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x708e7b3, "mmc_retune_release" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xed9dee07, "mmc_cmdq_disable" },
	{ 0x5857922f, "mmc_erase" },
	{ 0x4dd0d3fd, "mmc_wait_for_cmd" },
	{ 0x5071a105, "mmc_hw_reset" },
	{ 0x4662d48d, "blk_mq_start_request" },
	{ 0x89b3613a, "__mmc_send_status" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x11167270, "mmc_send_status" },
	{ 0xbb867291, "__pm_runtime_use_autosuspend" },
	{ 0x25100b37, "param_ops_int" },
	{ 0xe06ed85b, "blk_mq_run_hw_queues" },
	{ 0x16d88961, "__pm_runtime_disable" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xfb25677a, "blk_mq_requeue_request" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3b71fc8c, "cdev_init" },
	{ 0x2f1fa499, "blk_queue_rq_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xfb09bcdd, "mmc_retune_unpause" },
	{ 0x8da20ea5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa7273189, "__blk_mq_end_request" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "6F27EBBDDB2F7C44FA193A4");
MODULE_INFO(rhelversion, "9.6");
