#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xd88ca2a6, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x3cfa49e3, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x2757349a, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x0851f721, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x18e903a3, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x348abeb7, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x34df4981, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xd05027e7, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xd4174a9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8720e363, "netdev_err" },
	{ 0x4020d764, "idr_remove" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0xad49023c, "_copy_to_iter" },
	{ 0x577b7b7a, "iov_iter_advance" },
	{ 0x935bbf15, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbbd71a1c, "idr_find" },
	{ 0x29239c2d, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0xe701b289, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x241633d1, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3b71fc8c, "cdev_init" },
	{ 0x1410f32f, "cdev_add" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xa2099afb, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc92b26fb, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf1e506c3, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x58389a37, "consume_skb" },
	{ 0xe761f398, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x28edec3b, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xd528c300, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9adb4f, "skb_push" },
	{ 0xf5aba354, "__skb_gso_segment" },
	{ 0xbd0c1f7e, "skb_checksum_help" },
	{ 0x9297a85a, "kfree_skb_list_reason" },
	{ 0xee6be329, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x1190c030, "__skb_flow_dissect" },
	{ 0xad4aea73, "skb_partial_csum_set" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0x8d5ecd46, "iov_iter_npages" },
	{ 0x359cebe0, "_copy_from_iter" },
	{ 0x1d70dd60, "sock_alloc_send_pskb" },
	{ 0x9b7d9379, "skb_put" },
	{ 0xa3b0626d, "zerocopy_sg_from_iter" },
	{ 0xbb86f57, "__dev_queue_xmit" },
	{ 0xc1c3a188, "skb_copy_datagram_from_iter" },
	{ 0xd942e87, "iov_iter_revert" },
	{ 0xaa61ec29, "skb_copy_bits" },
	{ 0x9e33f8dd, "build_skb" },
	{ 0x3fa1a57f, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x86cc2da3, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.6");
