#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x2456a32c, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xbb6cd9f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x139873d0, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x5e7eecad, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x399ebf77, "___pskb_trim" },
	{ 0x9ac08545, "__skb_get_hash_symmetric_net" },
	{ 0x29239c2d, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0xe701b289, "sock_init_data_uid" },
	{ 0x241633d1, "sk_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3f979dc5, "napi_gro_receive" },
	{ 0x1ca350b, "napi_complete_done" },
	{ 0x916afd66, "xdp_do_redirect" },
	{ 0x6107b02e, "bpf_warn_invalid_xdp_action" },
	{ 0xbe272895, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe75a69e6, "xdp_return_frame_rx_napi" },
	{ 0x79150f5a, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x9e33f8dd, "build_skb" },
	{ 0x9b7d9379, "skb_put" },
	{ 0xf0066a94, "skb_set_owner_w" },
	{ 0x84dd74a3, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x22bdc33a, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x47185cf3, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcefb0206, "__folio_put" },
	{ 0xbafde266, "__put_devmap_managed_page_refs" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf63b6f01, "add_wait_queue" },
	{ 0xa51c3594, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x722534d3, "napi_get_frags" },
	{ 0x9a014e4f, "iov_iter_single_seg_count" },
	{ 0xb3881bc6, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa62cab43, "skb_queue_purge_reason" },
	{ 0x81ef74a0, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc41ca057, "xdp_rxq_info_unreg" },
	{ 0x925b383e, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb13ff75c, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1aa28457, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7128ccac, "netif_set_real_num_tx_queues" },
	{ 0x5207e0eb, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf4e2a5cf, "unregister_netdevice_queue" },
	{ 0xef538d7d, "netdev_state_change" },
	{ 0x58389a37, "consume_skb" },
	{ 0xf67380e4, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x1190c030, "__skb_flow_dissect" },
	{ 0xad4aea73, "skb_partial_csum_set" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0x359cebe0, "_copy_from_iter" },
	{ 0x8d5ecd46, "iov_iter_npages" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0xc1c3a188, "skb_copy_datagram_from_iter" },
	{ 0xd94c1038, "eth_type_trans" },
	{ 0x1d70dd60, "sock_alloc_send_pskb" },
	{ 0xa3b0626d, "zerocopy_sg_from_iter" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x18ca7e7, "do_xdp_generic" },
	{ 0xd942e87, "iov_iter_revert" },
	{ 0xd9adb4f, "skb_push" },
	{ 0xfd74f927, "eth_get_headlen" },
	{ 0x8db3442e, "napi_schedule_prep" },
	{ 0x12839e61, "napi_gro_frags" },
	{ 0xaf7882e4, "__napi_schedule" },
	{ 0x5968eb84, "__page_frag_cache_drain" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x3e5ac474, "xdp_rxq_info_is_reg" },
	{ 0x7c6e1564, "__xdp_rxq_info_reg" },
	{ 0xa0fba511, "xdp_rxq_info_reg_mem_model" },
	{ 0xeaa401f, "netif_napi_add_weight" },
	{ 0x96a6a841, "napi_enable" },
	{ 0xacf63f7d, "lock_sock_nested" },
	{ 0x507ecee1, "sk_attach_filter" },
	{ 0x49d66006, "release_sock" },
	{ 0x14c3f2c1, "__dev_get_by_name" },
	{ 0xa3d53942, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xf28bb046, "alloc_netdev_mqs" },
	{ 0x8903b93c, "ip_tunnel_header_ops" },
	{ 0x6de37691, "register_netdevice" },
	{ 0x232f9c3e, "netif_tx_wake_queue" },
	{ 0x813fb638, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd11e1acb, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x33ea4e2f, "get_net_ns" },
	{ 0x62d4e830, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf1e506c3, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x844179b5, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x51beaacc, "make_kuid" },
	{ 0x664a8308, "init_user_ns" },
	{ 0xd042cbee, "from_kuid" },
	{ 0xb66826db, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcdd5e1d0, "netdev_update_features" },
	{ 0xc92b26fb, "dev_set_mac_address_user" },
	{ 0x7e811e04, "call_netdevice_notifiers" },
	{ 0xbd955180, "__module_get" },
	{ 0xbc958a74, "from_kgid" },
	{ 0xe5d42ca6, "passthru_features_check" },
	{ 0x5fd85e41, "eth_mac_addr" },
	{ 0xc1e4d013, "eth_validate_addr" },
	{ 0x877f8a02, "ethtool_op_get_link" },
	{ 0x9d27455e, "ethtool_op_get_ts_info" },
	{ 0xf319e51, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc697c6ce, "fasync_helper" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x92198bbb, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7582d438, "netdev_info" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9a861dac, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0x2eee1af2, "from_kgid_munged" },
	{ 0xdf8ae14, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe3f8fa11, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x884548a6, "dev_get_tstats64" },
	{ 0x3c8a3568, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14014733, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0xec52e9f0, "rtnl_link_register" },
	{ 0x71c075c5, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7eaeac16, "misc_deregister" },
	{ 0x57886b6c, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb53fcd8b, "xdp_return_frame" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0x822bd317, "__wake_up_sync_key" },
	{ 0xa1cbe8aa, "kill_fasync" },
	{ 0xdacc3db2, "netif_carrier_on" },
	{ 0xa6f5aaa1, "netif_carrier_off" },
	{ 0xf9fbb29b, "bpf_prog_put" },
	{ 0xad49023c, "_copy_to_iter" },
	{ 0x935bbf15, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x577b7b7a, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8720e363, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7c378a6d, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x3fbc0603, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x15a0bf3d, "skb_copy_ubufs" },
	{ 0x6ec4a44d, "netdev_core_stats_inc" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A61D8AF9C02EAEB79D30D39");
MODULE_INFO(rhelversion, "9.6");
