#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0xbe1ca02e, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x7f39fd74, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xefdd3caa, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xb9c3956f, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xaa21372e, "");
SYMBOL_CRC(sdw_show_ping_status, 0x24c726e2, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x14894ba0, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x44818b7b, "");
SYMBOL_CRC(sdw_write_no_pm, 0x264a6ef4, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xa37d179c, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x50069e98, "");
SYMBOL_CRC(sdw_read_no_pm, 0x5206f75e, "");
SYMBOL_CRC(sdw_update_no_pm, 0xfd899a65, "");
SYMBOL_CRC(sdw_update, 0x5b2815f9, "");
SYMBOL_CRC(sdw_nread, 0x473399ea, "");
SYMBOL_CRC(sdw_nwrite, 0xdfbd99f2, "");
SYMBOL_CRC(sdw_read, 0xddb79e73, "");
SYMBOL_CRC(sdw_write, 0xd4b00e65, "");
SYMBOL_CRC(sdw_compare_devid, 0x7693844d, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x02a902a9, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x5a74c6ec, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xc88509f1, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xb0be99ec, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x7c6e86d7, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x47fd7e72, "");
SYMBOL_CRC(sdw_slave_add, 0xc89247de, "");
SYMBOL_CRC(sdw_master_read_prop, 0xbd92eb83, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xf347d671, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xebd94f81, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x5b9d33bd, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xd8bd6562, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x409c527d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd6cbaac2, "debugfs_create_str" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0x9a89eddc, "device_property_present" },
	{ 0x62b0afc0, "devm_device_add_groups" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf96d5884, "is_acpi_device_node" },
	{ 0xaf08e61c, "simple_attr_open" },
	{ 0x4817b660, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdc40e478, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2e6524db, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4615bf29, "device_unregister" },
	{ 0x9ff156dc, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x463470a8, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xd43a344e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xe49efcc2, "seq_lseek" },
	{ 0x41da98c3, "dev_pm_domain_attach" },
	{ 0x24238e02, "devm_device_add_group" },
	{ 0x6daeef07, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd75c21e9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19dcc12b, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b6fcd57, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18e7dd0c, "put_device" },
	{ 0x5749165e, "pm_runtime_enable" },
	{ 0x43ad430a, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49d37bf8, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xacb94e0e, "dev_pm_domain_detach" },
	{ 0x3ae20012, "pm_generic_runtime_suspend" },
	{ 0x1f867ce5, "debugfs_attr_read" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8c0f0ca9, "bus_unregister" },
	{ 0x54ca6fb2, "_dev_err" },
	{ 0x4ccd15b0, "simple_attr_release" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x4f893fa2, "debugfs_remove" },
	{ 0xdc267c4, "ida_free" },
	{ 0xd16de308, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x65d8eee5, "device_register" },
	{ 0x97e403f6, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x9104bd74, "_dev_warn" },
	{ 0x69b4fccb, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9273c702, "devm_kasprintf" },
	{ 0xa6815821, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7dbd6519, "fwnode_property_present" },
	{ 0xb73df45c, "debugfs_create_file" },
	{ 0xdfb8ce9e, "__pm_runtime_resume" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x7d449aeb, "device_get_named_child_node" },
	{ 0x1aa28457, "seq_printf" },
	{ 0x8645f1c2, "irq_create_mapping_affinity" },
	{ 0xdd4d9842, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa291264, "acpi_dev_for_each_child" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x5b760f9b, "__pm_runtime_suspend" },
	{ 0x5e85b3a5, "irq_set_chip" },
	{ 0xbb867291, "__pm_runtime_use_autosuspend" },
	{ 0x666ac6b9, "single_open" },
	{ 0x16d88961, "__pm_runtime_disable" },
	{ 0x5f9eba27, "debugfs_create_dir" },
	{ 0x8a75e1a6, "driver_register" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x5efa6569, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x8da20ea5, "bus_register" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DF7AD7DD390B1F51ACFC414");
MODULE_INFO(rhelversion, "9.6");
