#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x0be92a32, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xd32228ed, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x3d883520, "_gpl");
SYMBOL_CRC(fat_scan, 0x8b896d0e, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x69e11f2c, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x80e77a38, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x72860386, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x2b7fb75e, "_gpl");
SYMBOL_CRC(fat_getattr, 0x8253ad53, "_gpl");
SYMBOL_CRC(fat_setattr, 0x76dcd15e, "_gpl");
SYMBOL_CRC(fat_attach, 0xbc44dacf, "_gpl");
SYMBOL_CRC(fat_detach, 0x077e53d0, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xb1fda9ab, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x2e26ece3, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xfe39cbb8, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xa23094e1, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x16e946ca, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x1f04983a, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xac59699e, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x6c8060d5, "_gpl");
SYMBOL_CRC(fat_update_time, 0x8c9059b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd70e507, "filemap_fdatawrite" },
	{ 0x498abc9c, "generic_fillattr" },
	{ 0xa05ac04e, "setattr_prepare" },
	{ 0x48f4e3a8, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x48fe9cde, "__init_rwsem" },
	{ 0x20028c1b, "sync_blockdev_nowait" },
	{ 0xa3e2517e, "make_vfsgid" },
	{ 0xa34acf4f, "blk_start_plug" },
	{ 0xb580cb78, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1ceffdca, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x420eeca3, "generic_file_splice_read" },
	{ 0x3b05d9e, "new_inode" },
	{ 0xbd25ea2b, "mark_buffer_dirty" },
	{ 0x5b487c58, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb5be001c, "__find_get_block" },
	{ 0xaea41030, "filemap_fdatawrite_range" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x4312068a, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xaa40d561, "__blockdev_direct_IO" },
	{ 0x8aabd25f, "d_make_root" },
	{ 0x95ad6452, "__bforget" },
	{ 0x4019340e, "sb_set_blocksize" },
	{ 0x4a85c830, "block_truncate_page" },
	{ 0x33584daa, "write_dirty_buffer" },
	{ 0x3241c7c9, "sync_filesystem" },
	{ 0x27ac1239, "fsnotify" },
	{ 0x91270554, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5c657b3d, "from_vfsuid" },
	{ 0xe4bbb7f0, "inode_dio_wait" },
	{ 0xc4bd71cf, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc4beb79, "cont_write_begin" },
	{ 0x6d9f9472, "iput" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x2503baed, "iter_file_splice_write" },
	{ 0xfd38289b, "generic_file_write_iter" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xc3773bbc, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x764715a1, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x2e9eaee8, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f510813, "block_invalidate_folio" },
	{ 0x2d76eeb8, "__breadahead" },
	{ 0xce9d8e6b, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x57866e95, "load_nls" },
	{ 0x6ac5c344, "generic_cont_expand_simple" },
	{ 0x51beaacc, "make_kuid" },
	{ 0x1d381d9f, "truncate_inode_pages_final" },
	{ 0x5cce8218, "block_write_full_page" },
	{ 0xc311ed9, "generic_file_mmap" },
	{ 0xccd4730b, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x629230a7, "ilookup" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0xf98062bf, "invalidate_inode_buffers" },
	{ 0x2454c8cf, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdc273e31, "mnt_drop_write_file" },
	{ 0xbefb068a, "inode_init_once" },
	{ 0x3fa1a57f, "compat_ptr_ioctl" },
	{ 0xb8d136b9, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa6adfd83, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd6a9068a, "down_write" },
	{ 0xbb399d6c, "up_write" },
	{ 0x6c63e324, "generic_file_read_iter" },
	{ 0x5b4570df, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa6f66de8, "truncate_pagecache" },
	{ 0x4227f62d, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe35f69e6, "setattr_copy" },
	{ 0x4fda26b, "__wait_on_buffer" },
	{ 0x40e9e21b, "set_nlink" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xa9917eb5, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xc564f78e, "from_vfsgid" },
	{ 0x64f75574, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd79de295, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7b816836, "__bread_gfp" },
	{ 0xa8882222, "block_dirty_folio" },
	{ 0x5dda88e5, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xf066288b, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x844179b5, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x2eee1af2, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5e040f1, "down_read" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x3ba6bd87, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8716511f, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x36ab0b65, "igrab" },
	{ 0xd03bb874, "__getblk_gfp" },
	{ 0x7dc743ef, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x9a2a6a1d, "mpage_readahead" },
	{ 0x6cd28e18, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x664a8308, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1aa28457, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x724919d5, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xdc920a7e, "blkdev_issue_flush" },
	{ 0x7425d53a, "seq_puts" },
	{ 0xbc8985f3, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xdf8ae14, "from_kuid_munged" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xfad35398, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xcf579ca0, "kmem_cache_alloc_lru" },
	{ 0x506166a4, "__mark_inode_dirty" },
	{ 0xa341a464, "generic_file_llseek" },
	{ 0x8d1c4fb4, "unload_nls" },
	{ 0x989f4de4, "up_read" },
	{ 0xa6e511c3, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x2142def2, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x8d8b1302, "blkdev_issue_discard" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.6");
