#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x97b2ec78, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xd25882cc, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xbe38cb83, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x492dd8b4, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x9c753d05, "");
SYMBOL_CRC(fuse_abort_conn, 0x63e0d191, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x2465f09d, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x838421e5, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xdd7aa39f, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x31789b49, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x6f6aed00, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xf84991ba, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x3b89fe6a, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x1a4d465f, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x03199d12, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xbd794fbd, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xe8d55369, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x21cddca8, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x880dd99a, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xa1ebd40b, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xd0b645cb, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xd1114969, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xa3216a93, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xf183f928, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x86b519ad, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x0790c15a, "");
SYMBOL_CRC(fuse_do_ioctl, 0x18e8c70f, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x7bb867d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x584c498a, "super_setup_bdi_name" },
	{ 0xe1e7c856, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9a9f5778, "truncate_inode_pages" },
	{ 0x84582b4, "generic_copy_file_range" },
	{ 0xf1807048, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb050fe8, "pipe_lock" },
	{ 0x498abc9c, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8bcff89b, "vfs_fsync_range" },
	{ 0xa05ac04e, "setattr_prepare" },
	{ 0xac7fa226, "clear_nlink" },
	{ 0x3e14a606, "file_check_and_advance_wb_err" },
	{ 0x6730b16b, "d_alloc_parallel" },
	{ 0x48fe9cde, "__init_rwsem" },
	{ 0x28e1f542, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7eaeac16, "misc_deregister" },
	{ 0xa3e2517e, "make_vfsgid" },
	{ 0xb580cb78, "clear_inode" },
	{ 0x5b277acc, "inode_to_bdi" },
	{ 0x1088e62, "find_pid_ns" },
	{ 0x2a87b745, "grab_cache_page_write_begin" },
	{ 0x766f971, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x617a52a5, "pipe_unlock" },
	{ 0xbe65a565, "fs_param_is_string" },
	{ 0xf45d11a2, "folio_unlock" },
	{ 0x420eeca3, "generic_file_splice_read" },
	{ 0x3b05d9e, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x66313b9a, "filemap_map_pages" },
	{ 0xdc68534a, "dump_page" },
	{ 0xeed5dff7, "forget_all_cached_acls" },
	{ 0x88e80116, "init_special_inode" },
	{ 0xdde92ccd, "unregister_filesystem" },
	{ 0x7588eeae, "task_active_pid_ns" },
	{ 0x9a014e4f, "iov_iter_single_seg_count" },
	{ 0xb01f2888, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xaea41030, "filemap_fdatawrite_range" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xe761f398, "finish_wait" },
	{ 0x9ffe2821, "d_alloc_name" },
	{ 0x70ecf2ab, "replace_page_cache_folio" },
	{ 0x2f2b0eac, "inode_query_iversion" },
	{ 0x577b7b7a, "iov_iter_advance" },
	{ 0xa1cbe8aa, "kill_fasync" },
	{ 0x8aabd25f, "d_make_root" },
	{ 0x4019340e, "sb_set_blocksize" },
	{ 0x6e9b4fc1, "fget" },
	{ 0x5b09bb5a, "simple_fill_super" },
	{ 0xf9eef455, "xas_find" },
	{ 0xb9cc1977, "invalidate_mapping_pages" },
	{ 0x3241c7c9, "sync_filesystem" },
	{ 0x718f78bf, "noop_dirty_folio" },
	{ 0xeb84df88, "sget_fc" },
	{ 0xb8cbac7e, "param_set_uint" },
	{ 0xa5ec2333, "d_splice_alias" },
	{ 0xd4821427, "iov_iter_get_pages2" },
	{ 0x91270554, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a7be951, "page_get_link" },
	{ 0xc525dee1, "generic_permission" },
	{ 0x1bc08207, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2dc11f77, "invalidate_inode_pages2_range" },
	{ 0x257b6332, "posix_lock_file" },
	{ 0xa5bbd606, "finish_open" },
	{ 0xe97225e1, "dax_iomap_rw" },
	{ 0x6d9f9472, "iput" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x3ed6661d, "logfc" },
	{ 0xbafde266, "__put_devmap_managed_page_refs" },
	{ 0x2503baed, "iter_file_splice_write" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x79742429, "init_pid_ns" },
	{ 0x5bc16c98, "dax_iomap_fault" },
	{ 0xe1a953de, "iov_iter_init" },
	{ 0x4b7e79f2, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x595f073, "sysfs_create_mount_point" },
	{ 0xfd38289b, "generic_file_write_iter" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x994278c8, "register_filesystem" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0x9ea62764, "folio_add_lru" },
	{ 0x23ea1711, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc3773bbc, "sync_inode_metadata" },
	{ 0x9ae7b251, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x1d66faef, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9c73a3a8, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc7e41b5, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x4035de8a, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5262fdf9, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3b3d9e55, "fs_param_is_u32" },
	{ 0xb7a7a752, "inode_newsize_ok" },
	{ 0x2f08cfe6, "d_drop" },
	{ 0x7c613458, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xd8dc76ca, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x78fdbb55, "bdi_put" },
	{ 0x94ccd872, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x414894a8, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x51beaacc, "make_kuid" },
	{ 0x1d381d9f, "truncate_inode_pages_final" },
	{ 0xc434e0af, "fs_kobj" },
	{ 0x54ef87b9, "__filemap_set_wb_err" },
	{ 0x9ab3427b, "simple_dir_operations" },
	{ 0xc311ed9, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xed73f2a2, "__free_pages" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xb99a82f, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x9b06e23d, "setattr_should_drop_suidgid" },
	{ 0x3188df54, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xba1db40a, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf27a22d4, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x1f1c1bee, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbefb068a, "inode_init_once" },
	{ 0x1fcd21f2, "file_write_and_wait_range" },
	{ 0x3fa1a57f, "compat_ptr_ioctl" },
	{ 0xbf8d3ef8, "nosteal_pipe_buf_ops" },
	{ 0xc611c84e, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4bb08633, "inode_nohighmem" },
	{ 0x3e66f25f, "release_pages" },
	{ 0x2d9c81a8, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0x82c46133, "fput" },
	{ 0xd6a9068a, "down_write" },
	{ 0xbb399d6c, "up_write" },
	{ 0x6c63e324, "generic_file_read_iter" },
	{ 0x5b4570df, "inode_maybe_inc_iversion" },
	{ 0x675e80f7, "unlock_page" },
	{ 0xcd2a6cd6, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa6f66de8, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3ca140a, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x584fd99a, "dec_node_page_state" },
	{ 0xe211608b, "write_cache_pages" },
	{ 0x48a38374, "file_update_time" },
	{ 0x40e9e21b, "set_nlink" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xbc958a74, "from_kgid" },
	{ 0xc697c6ce, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeb8f545, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x64f75574, "write_inode_now" },
	{ 0x657345f1, "dax_writeback_mapping_range" },
	{ 0xd79de295, "d_obtain_alias" },
	{ 0x6ddd93cf, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3f2cf8b8, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc2c5c41f, "finish_no_open" },
	{ 0xda1c9830, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x7f43789f, "kill_litter_super" },
	{ 0x2b647dc4, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd042cbee, "from_kuid" },
	{ 0xda7a32cb, "current_in_userns" },
	{ 0x6a211b2a, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x2bd330a5, "sysfs_remove_mount_point" },
	{ 0x71c075c5, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0x844179b5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x6c711630, "d_delete" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x2eee1af2, "from_kgid_munged" },
	{ 0x5a96f5a, "end_page_writeback" },
	{ 0x7c5f2c9d, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe929af78, "kobject_create_and_add" },
	{ 0xd5e040f1, "down_read" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x4d10b4e6, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17fea963, "nonseekable_open" },
	{ 0xa548fdcf, "dax_finish_sync_fault" },
	{ 0x80dd80e8, "set_page_dirty" },
	{ 0x22bdc33a, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeb1f4c84, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x13b659a9, "noop_direct_IO" },
	{ 0x36ab0b65, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7dc743ef, "generic_read_dir" },
	{ 0xde615ceb, "d_add" },
	{ 0x66c34685, "set_page_writeback" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x664a8308, "init_user_ns" },
	{ 0x3a01a4ac, "d_find_alias" },
	{ 0xd204903c, "invalidate_inode_pages2" },
	{ 0x1b675d1d, "alloc_pages" },
	{ 0x4c3fb11, "inc_nlink" },
	{ 0xcefb0206, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xced68340, "get_tree_bdev" },
	{ 0x8c5ab80c, "set_anon_super_fc" },
	{ 0x1aa28457, "seq_printf" },
	{ 0xd6e02d5b, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8542d736, "generic_delete_inode" },
	{ 0x3d6b8c5e, "deactivate_locked_super" },
	{ 0x2891bec9, "touch_atime" },
	{ 0xd5ccc727, "__percpu_down_read" },
	{ 0x54ebcf6b, "__d_lookup_unhash_wake" },
	{ 0x533a12ce, "set_page_dirty_lock" },
	{ 0x2de25060, "pid_nr_ns" },
	{ 0x34f37256, "generic_file_open" },
	{ 0xfe1360e6, "truncate_inode_pages_range" },
	{ 0xa889b660, "__put_user_ns" },
	{ 0xb08f1667, "__folio_lock" },
	{ 0x7947ca1a, "filemap_dirty_folio" },
	{ 0x75c614d2, "pagecache_get_page" },
	{ 0x7425d53a, "seq_puts" },
	{ 0xc7aeb44a, "stream_open" },
	{ 0x90bba94, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xdbeab9bd, "__wake_up_sync" },
	{ 0xe58d1e0f, "add_to_pipe" },
	{ 0x58dfce64, "__fs_parse" },
	{ 0xd3bfd2f1, "dax_layout_busy_page_range" },
	{ 0x3ccfd426, "posix_acl_to_xattr" },
	{ 0x89c19bea, "dget_parent" },
	{ 0x759452b1, "kill_anon_super" },
	{ 0xdf8ae14, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0xafaaf17b, "iget5_locked" },
	{ 0xe9b1f25f, "security_dentry_init_security" },
	{ 0x7ffc0cbd, "filemap_write_and_wait_range" },
	{ 0x90849ed, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xae0bcd14, "generic_write_checks" },
	{ 0xd942e87, "iov_iter_revert" },
	{ 0xcbe2b877, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9c3d7ff, "mntget" },
	{ 0xcf579ca0, "kmem_cache_alloc_lru" },
	{ 0xc89f4668, "filemap_fault" },
	{ 0xde0c33df, "d_invalidate" },
	{ 0x506166a4, "__mark_inode_dirty" },
	{ 0xa341a464, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x989f4de4, "up_read" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x8d5ecd46, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x8707241f, "drop_nlink" },
	{ 0x69df033b, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1407c85b, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xf205d329, "bdi_set_max_ratio" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x90b22543, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7D7FAEDDA764AC772D6F805");
MODULE_INFO(rhelversion, "9.6");
