#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xbb5d4f35, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xaeda3611, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x8b4a2e67, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x34183633, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x98065f20, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x6924463d, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xb26fc003, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x9a396025, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x5f8116de, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x96888852, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x9be3fa9d, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x0927f7a3, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x42e328c0, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x1c1f32ab, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xfe516d03, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xa35b1c00, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xa99823d5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x2b37b263, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x3f5e7ea7, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x92fef6cb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xeb6d22eb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x61926acb, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x89e33cb4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0xa0232967, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x57f83883, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x7999e34b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x30013fd8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x4b1b0f19, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x21ee9bf9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xb7c57e62, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x294d45d0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x445797d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xf64f35b3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x72d9f70e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xc17a8194, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xff3b6b92, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x517991f2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xb8deb0b1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xa84dac01, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x1378a052, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xcdc5be8e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0xefa6d129, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x9ff27344, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x9c32de50, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x58d90581, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xad079631, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x68ebcfae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x72a6c8b1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x20ab6b09, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x1cde488c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xcdcc4977, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7313e0e8, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x89b6cc3e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0xc443dbf1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x9be5dff9, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x8b61829b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0xff115a21, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x1e434ef4, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0xd7e3b221, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x20528711, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0xf85a282c, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x4865047f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x2c697460, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x08a4e09f, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x851aed03, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0xc915a333, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0x1615366c, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xb7d6294e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x72e1b3b4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xa41511cf, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x0a1c3f3d, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x7cb84b12, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x39431d1e, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xa6a6f03c, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x9fdbe593, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xddccb8e9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x2cf6e9db, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x4111fc87, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xb741b637, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xcf49003f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x35327f86, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xb9822deb, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x1af8aee4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x00d7cca0, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x28436cbd, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xc25a792a, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x4e16d61a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x3bcc82cd, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xa9dbd8b4, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x83cc7114, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x62dd568e, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x3791e30e, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x7e8a1d4a, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x4601c4e9, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xb71ef673, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x01a57f7e, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xa2980874, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xce8c36c3, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x2203a9e9, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x49c7d341, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xc13c1947, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xac5863a0, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xc9b59cb8, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x9bb23605, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x4a92fc8c, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x4dd3b59e, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xed37b232, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xd47dc9b7, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x92965590, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x28d44d17, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xd4f1d60c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x2b896387, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x8994bd2c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x8da52652, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x75d85c94, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xc3c5ba93, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x7b8d7460, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x3309ba57, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ea8a687, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x84582b4, "generic_copy_file_range" },
	{ 0x5f3dd81f, "svc_generic_rpcbind_set" },
	{ 0x2d08da46, "nfs_clone_server" },
	{ 0x6498d133, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xbd70e507, "filemap_fdatawrite" },
	{ 0xa37cb1c6, "nfs_show_stats" },
	{ 0xd24a6d32, "ida_alloc_range" },
	{ 0xc9e31649, "nfs_server_remove_lists" },
	{ 0xcc9d51ea, "nfs42_ssc_unregister" },
	{ 0xf600912c, "generic_listxattr" },
	{ 0xbbeef734, "try_module_get" },
	{ 0x368491bf, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x29dd7e64, "nfs_writeback_update_inode" },
	{ 0xb580cb78, "clear_inode" },
	{ 0x5b277acc, "inode_to_bdi" },
	{ 0xa4c05587, "bpf_trace_run4" },
	{ 0x6fa2b8f9, "user_destroy" },
	{ 0xbbd71a1c, "idr_find" },
	{ 0xa655868d, "param_ops_uint" },
	{ 0xd46601a7, "user_revoke" },
	{ 0x826bfd71, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x73de3075, "nfs_alloc_client" },
	{ 0x279c31d3, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xfabf35c9, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x249c4717, "rpc_clnt_probe_trunked_xprts" },
	{ 0x2143f827, "nfs_pageio_reset_read_mds" },
	{ 0x5a8443b5, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xb63941c6, "rpc_shutdown_client" },
	{ 0x8c2f593f, "svc_bind" },
	{ 0xcab992ce, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x5d42cf75, "nfs_free_inode" },
	{ 0xc261355d, "nfs_access_zap_cache" },
	{ 0x1140ee79, "nfs_sb_deactive" },
	{ 0xd85cf40a, "nfs_wb_all" },
	{ 0x420eeca3, "generic_file_splice_read" },
	{ 0x52e76444, "__break_lease" },
	{ 0x1c80936a, "nfs_pageio_init_write" },
	{ 0x14594c38, "svc_recv" },
	{ 0x5d591734, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf793908d, "xdr_inline_decode" },
	{ 0x2933a3ed, "nfs_pageio_init_read" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0xc2df3b23, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xbfb0a76a, "nfs_init_commit" },
	{ 0x5160967b, "nfs_commitdata_release" },
	{ 0xcdc40fdc, "bpf_trace_run6" },
	{ 0xa8b53308, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4f2830c8, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0xf81725a7, "nfs_mknod" },
	{ 0x2d8fdbdd, "nfs_inode_attach_open_context" },
	{ 0xe761f398, "finish_wait" },
	{ 0xe72e1d81, "nfs4_label_alloc" },
	{ 0x190557f8, "rpc_localaddr" },
	{ 0x72e62303, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0xd4572107, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0xc559cb2b, "idr_replace" },
	{ 0xa737af48, "nfs_lock" },
	{ 0x39a6397d, "unregister_key_type" },
	{ 0x18dbc13b, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa5ec2333, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x28edec3b, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xeaaa7c24, "ihold" },
	{ 0x1bc08207, "truncate_pagecache_range" },
	{ 0xb8162017, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2dc11f77, "invalidate_inode_pages2_range" },
	{ 0xad0d4e80, "nfs_post_op_update_inode" },
	{ 0xa6c720ba, "svc_exit_thread" },
	{ 0x6d9f9472, "iput" },
	{ 0x898173c7, "xdr_set_pagelen" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5eff43db, "nfs_pgio_header_free" },
	{ 0xb933777b, "nfs_request_add_commit_list_locked" },
	{ 0xf63b6f01, "add_wait_queue" },
	{ 0x3ed6661d, "logfc" },
	{ 0x8a56eed7, "nfs_pgio_header_alloc" },
	{ 0xbafde266, "__put_devmap_managed_page_refs" },
	{ 0x2503baed, "iter_file_splice_write" },
	{ 0xecf424f5, "rpc_pton" },
	{ 0xc0ac2007, "nfs_sb_active" },
	{ 0xf3ff20cf, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xb83560b2, "rpc_wake_up_queued_task" },
	{ 0xbb96a057, "bpf_trace_run2" },
	{ 0x1d5a6aa, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x6f802702, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x58810086, "rpc_restart_call_prepare" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb5a59bbd, "_copy_from_pages" },
	{ 0xbd955180, "__module_get" },
	{ 0xa3adaa02, "kmem_cache_create" },
	{ 0xe5ea4503, "rpc_task_release_transport" },
	{ 0xd3d939e4, "xdr_page_pos" },
	{ 0xdcf7493f, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xd40c649, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc07e2172, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x5cb1c6b8, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xedea8db4, "register_key_type" },
	{ 0xf2b7ea64, "rpc_sleep_on" },
	{ 0x71931911, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5df4ecde, "nfs_pageio_resend" },
	{ 0xa984dad2, "keyring_alloc" },
	{ 0x9c73a3a8, "vfs_setpos" },
	{ 0x7af5f500, "nfs_create" },
	{ 0xe46651dc, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1785148a, "__put_cred" },
	{ 0x5a7e951a, "nfs_update_delegated_mtime" },
	{ 0xc0e76508, "nfs_statfs" },
	{ 0x45b5ab0a, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xb0579be6, "rpc_max_bc_payload" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x450e8310, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5262fdf9, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x76ccc2a0, "nfs_mkdir" },
	{ 0xa995a653, "nfs_revalidate_inode" },
	{ 0xb7a7a752, "inode_newsize_ok" },
	{ 0xfdb0b206, "nfs_file_mmap" },
	{ 0xe8fea7c1, "nfs_get_lock_context" },
	{ 0x2f08cfe6, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xeea6b81f, "nfs_set_cache_invalid" },
	{ 0x6e718ecd, "rpc_release_client" },
	{ 0x6ebe25e2, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x779ffe0b, "rt_spin_trylock" },
	{ 0xba3d4020, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x20535e55, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xabd71c10, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0xb072b5e6, "nfs_generic_pgio" },
	{ 0x51beaacc, "make_kuid" },
	{ 0x1d381d9f, "truncate_inode_pages_final" },
	{ 0xc823ff3f, "generic_setlease" },
	{ 0xf2578968, "xprt_destroy_backchannel" },
	{ 0xaa60379b, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x33cd1590, "nfs_scan_commit_list" },
	{ 0x8046d82c, "xdr_stream_decode_string_dup" },
	{ 0x7d7e063a, "nfs_commit_inode" },
	{ 0x77171bab, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x3bf24cb2, "rpc_destroy_pipe_data" },
	{ 0x2977d289, "nfs_get_client" },
	{ 0xed73f2a2, "__free_pages" },
	{ 0x29551678, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x85b2d925, "nfs_atomic_open" },
	{ 0xe82afdd2, "rpc_pipe_generic_upcall" },
	{ 0x42e6bdd0, "nfs_file_fsync" },
	{ 0xb13ff75c, "module_put" },
	{ 0xba1db40a, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5b2fa098, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3806a09d, "nfs_put_lock_context" },
	{ 0x2a6a5adc, "nfs_rename" },
	{ 0xf4b957dd, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x14e962a7, "nfs_sysfs_link_rpc_client" },
	{ 0x44f6ed82, "nfs_put_client" },
	{ 0xee24ae34, "nfs_show_options" },
	{ 0xef03edeb, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xc2c10209, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x7f86580f, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x32d31f2d, "get_nfs_open_context" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0xa7473078, "nfs_clear_verifier_delegated" },
	{ 0xe8e1d865, "nfs_sysfs_add_server" },
	{ 0x82c46133, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0xd6a9068a, "down_write" },
	{ 0x3815fcd7, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x1ece5986, "nfs_do_submount" },
	{ 0xc7c0a6af, "vfs_dup_fs_context" },
	{ 0xbb399d6c, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc35e5208, "request_key_with_auxdata" },
	{ 0x8f03cba2, "rpc_clone_client_set_auth" },
	{ 0xe04bae21, "rpc_clone_client" },
	{ 0x9d7b9b07, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x318aa655, "nfs_client_init_status" },
	{ 0x86cc2da3, "idr_alloc" },
	{ 0x35fc3cd8, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xafd00283, "radix_tree_preloads" },
	{ 0x901e263d, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd3ca140a, "put_fs_context" },
	{ 0xc8d0ed11, "nfs_retry_commit" },
	{ 0x95c485ff, "nfs4_dentry_operations" },
	{ 0x2139e67f, "__module_put_and_kthread_exit" },
	{ 0xf7cae7be, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xfe3c3cae, "nfs_client_for_each_server" },
	{ 0x785525eb, "nfs_clear_inode" },
	{ 0x4eec0c8, "rpc_sleep_on_priority" },
	{ 0x6bcae473, "nfs_invalidate_atime" },
	{ 0x845f36, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x662f187c, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8ae74506, "nfs_getattr" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0xa7b923d1, "nfs_pageio_reset_write_mds" },
	{ 0x46e8a820, "kmem_cache_free" },
	{ 0x8ef4008e, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xfa6f894a, "xdr_stream_subsegment" },
	{ 0x18c9525b, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xf8791ea2, "nfs_fscache_open_file" },
	{ 0xbc958a74, "from_kgid" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7b39485a, "nfs_write_inode" },
	{ 0x62ca8352, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdc267c4, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x5e8bcee2, "rpc_wake_up_first" },
	{ 0x5a61a8eb, "alloc_nfs_open_context" },
	{ 0x9a17530e, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x61103968, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x955efa3, "nfs_path" },
	{ 0x61b7e1b3, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2ebc382, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x21d0642b, "register_nfs_version" },
	{ 0xc368df81, "rpc_sleep_on_timeout" },
	{ 0x6cb33055, "list_lru_count_one" },
	{ 0x55af31cb, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x8f9b847, "rpc_call_start" },
	{ 0x6aa6dd29, "xprt_setup_backchannel" },
	{ 0x9108e31e, "bpf_trace_run1" },
	{ 0xd655f1ec, "svc_create" },
	{ 0x323e3275, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x636d84d1, "nfs_file_set_open_context" },
	{ 0xfd181c36, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x6860d255, "rpc_call_sync" },
	{ 0xd042cbee, "from_kuid" },
	{ 0x351ceae, "rpc_put_task_async" },
	{ 0x1d010722, "rpc_prepare_reply_pages" },
	{ 0x13b5e4c7, "rpc_queue_upcall" },
	{ 0xdcf5b3bb, "nfs_free_server" },
	{ 0x6a211b2a, "fc_mount" },
	{ 0x7c5ff686, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xcd303010, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa08d3cd1, "nfs4_fs_type" },
	{ 0x6169d6c2, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x78939eae, "rpc_delay" },
	{ 0x6626fd93, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff0c659e, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0xea973712, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x20eb2236, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x72dbe6e0, "rpc_exit" },
	{ 0x844179b5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0x6c2951f5, "rpc_remove_pipe_dir_object" },
	{ 0x360b5d0, "nfs_may_open" },
	{ 0x2eee1af2, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x18c317b3, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd5e040f1, "down_read" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0xf1e810df, "xdr_reserve_space" },
	{ 0xab13fe03, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c02996d, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xacf3dd3b, "nfs_rmdir" },
	{ 0xb090c98b, "bpf_trace_run3" },
	{ 0x2bc8d80a, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x784ac218, "nfs_filemap_write_and_wait_range" },
	{ 0x871e0277, "rpc_mkpipe_dentry" },
	{ 0x55c608a1, "alloc_file_pseudo" },
	{ 0x6bad3c87, "rpc_mkpipe_data" },
	{ 0xf1bf1eb, "rpc_add_pipe_dir_object" },
	{ 0x36ab0b65, "igrab" },
	{ 0xaf5a913b, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x983c23d0, "nfs_async_iocounter_wait" },
	{ 0xccfef58a, "nfs_file_read" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0x2d6e7882, "nfs_alloc_fattr_with_label" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0x6cd28e18, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x34b46ca2, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc92c7156, "nfs_setattr_update_inode" },
	{ 0x4413b81e, "nfs_instantiate" },
	{ 0x664a8308, "init_user_ns" },
	{ 0x8332cefc, "rpc_uaddr2sockaddr" },
	{ 0xa97be323, "user_read" },
	{ 0xb8f5b335, "rpc_restart_call" },
	{ 0x74686565, "request_key_tag" },
	{ 0xa7e544b6, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x1b675d1d, "alloc_pages" },
	{ 0xf09717f5, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x9b5e1357, "svc_xprt_destroy_all" },
	{ 0x5f512ed9, "generic_key_instantiate" },
	{ 0x4c3fb11, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x4a9f16e1, "nfs_link" },
	{ 0xcefb0206, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5ae8c983, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x291770ec, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd6e02d5b, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x1807e8b8, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3e0df9b0, "xdr_stream_move_subsegment" },
	{ 0x94407fa4, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x390d15fd, "nfs_post_op_update_inode_force_wcc" },
	{ 0xd243c3d2, "nfs_pgheader_init" },
	{ 0x1355b189, "put_nfs_open_context" },
	{ 0xaea66b00, "nfs_show_path" },
	{ 0x8dad955d, "nfs_show_devname" },
	{ 0x7d30f56d, "nfs_permission" },
	{ 0x839b2ec6, "nfs_initiate_commit" },
	{ 0xfe1360e6, "truncate_inode_pages_range" },
	{ 0xa889b660, "__put_user_ns" },
	{ 0xb1e0027c, "cred_fscmp" },
	{ 0x5abc9e5b, "rpc_unlink" },
	{ 0x8788af19, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x1d0dbe9f, "proc_dointvec" },
	{ 0xa51c3594, "remove_wait_queue" },
	{ 0x2b245823, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x67000f17, "node_data" },
	{ 0x2ca71488, "nfs_probe_server" },
	{ 0x2a1f6a0b, "nfs_setsecurity" },
	{ 0x7531ff44, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xfd9298b6, "rpc_clnt_test_and_add_xprt" },
	{ 0x59b228c6, "file_ra_state_init" },
	{ 0xb3e7a7bc, "nfs_force_lookup_revalidate" },
	{ 0x61b7a5e5, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x86916915, "rpc_clnt_add_xprt" },
	{ 0x89c19bea, "dget_parent" },
	{ 0xdf8ae14, "from_kuid_munged" },
	{ 0x9174893, "prepare_kernel_cred" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x96810ee0, "nfs_alloc_server" },
	{ 0xcda13435, "rpc_call_async" },
	{ 0xe9b1f25f, "security_dentry_init_security" },
	{ 0x7ffc0cbd, "filemap_write_and_wait_range" },
	{ 0xc0883b55, "list_lru_del_obj" },
	{ 0x9207e883, "nfs_server_insert_lists" },
	{ 0x555a9890, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xc6dc942, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xee50aee0, "rpc_init_pipe_dir_object" },
	{ 0xfa394b3e, "bpf_trace_run7" },
	{ 0x6ab0b0e, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x747a70c, "nfs_init_server_rpcclient" },
	{ 0x506166a4, "__mark_inode_dirty" },
	{ 0x6de100ab, "rpc_set_connect_timeout" },
	{ 0x30665025, "rpcauth_create" },
	{ 0x9e6b2d4f, "xdr_stream_pos" },
	{ 0x56941d72, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x989f4de4, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x2b834b39, "svc_xprt_create" },
	{ 0x7fc65488, "nfs42_ssc_register" },
	{ 0x1095eaad, "rpc_wait_for_completion_task" },
	{ 0x8707241f, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x83a6dc16, "rpc_num_bc_slots" },
	{ 0x3c47f555, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xad7ef4d4, "rpc_destroy_wait_queue" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x9e7ef72f, "security_inode_listsecurity" },
	{ 0xc3bef3dd, "nfs_fhget" },
	{ 0x1cf36934, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x44aa8e38, "locks_copy_lock" },
	{ 0xcd909594, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x4d260d30, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeae1a9c5, "nfs_set_verifier" },
	{ 0x61ee622f, "proc_dointvec_minmax" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "241B402F27BB4A29DE59EF5");
MODULE_INFO(rhelversion, "9.6");
