#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0xb91ccfd6, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x1e1129b4, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0xcb48d320, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37a0cba, "kfree" },
	{ 0x54c27b0b, "crypto_aead_setauthsize" },
	{ 0x5b76dd00, "crypto_aead_setkey" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2afc1988, "xfrm_state_lookup" },
	{ 0x51beaacc, "make_kuid" },
	{ 0xefd54d6b, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x889d3126, "ip6_redirect" },
	{ 0xfcc4c3e0, "__xfrm_state_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xde14c85f, "napi_pp_put_page" },
	{ 0xbafde266, "__put_devmap_managed_page_refs" },
	{ 0xcefb0206, "__folio_put" },
	{ 0x241633d1, "sk_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6f3d6480, "skb_to_sgvec" },
	{ 0xfb578fc5, "memset" },
	{ 0x74e12802, "crypto_aead_encrypt" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0x84dd74a3, "skb_page_frag_refill" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xf6f1184b, "xfrm_trans_queue_net" },
	{ 0xaa61ec29, "skb_copy_bits" },
	{ 0x399ebf77, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4a31912c, "ipv6_skip_exthdr" },
	{ 0xd8f1b11f, "km_new_mapping" },
	{ 0xd6297b3f, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x6326a42d, "xfrm_input_resume" },
	{ 0xe906c81d, "skb_cow_data" },
	{ 0xaa9e8356, "crypto_aead_decrypt" },
	{ 0xd9adb4f, "skb_push" },
	{ 0x20ae536c, "__pskb_pull_tail" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x36b42989, "__inet6_lookup_established" },
	{ 0xb9110401, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdfcd09df, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x83c1f71c, "espintcp_queue_out" },
	{ 0xbba87583, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8b839a84, "xfrm_state_mtu" },
	{ 0x7a2c2e4e, "xfrm_dev_resume" },
	{ 0xc45dc464, "xfrm_output_resume" },
	{ 0x482c4b04, "__skb_ext_del" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0xf531b3a7, "xfrm6_rcv" },
	{ 0xf868db67, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e8a9798, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xc0ebf4e, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x92dcd992, "xfrm6_protocol_register" },
	{ 0xb6c334de, "xfrm_unregister_type" },
	{ 0x8b83a88f, "crypto_destroy_tfm" },
	{ 0xf00704a9, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfe16c0d8, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "6E5FA1F7419296F8AE16482");
MODULE_INFO(rhelversion, "9.6");
