#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x4b3d532e, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x632b3d83, "_gpl");
SYMBOL_CRC(tls_get_record, 0x21c79f0d, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x2bbf8386, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xf049fe97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ea5ac8c, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1998d7f8, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd93f906a, "tcp_read_sock" },
	{ 0xa4c05587, "bpf_trace_run4" },
	{ 0xaa61ec29, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2f3e5573, "sk_page_frag_refill" },
	{ 0x9b7d9379, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x58389a37, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12b8b95d, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x40e99460, "sk_psock_msg_verdict" },
	{ 0xcdc40fdc, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x798096e6, "rt_mutex_base_init" },
	{ 0x4c056aad, "trace_event_printf" },
	{ 0xd4821427, "iov_iter_get_pages2" },
	{ 0x399ebf77, "___pskb_trim" },
	{ 0xa80b7282, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88c827b, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf63b6f01, "add_wait_queue" },
	{ 0xbafde266, "__put_devmap_managed_page_refs" },
	{ 0x236231c1, "clean_acked_data_enable" },
	{ 0x12fafc5d, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfe16c0d8, "crypto_alloc_aead" },
	{ 0x761c7e7d, "__tracepoint_sk_data_ready" },
	{ 0x54c27b0b, "crypto_aead_setauthsize" },
	{ 0xaa9e8356, "crypto_aead_decrypt" },
	{ 0xfe3517c2, "event_triggers_call" },
	{ 0x1a09f4ec, "__wake_up" },
	{ 0x16a9a294, "sk_stream_error" },
	{ 0x604ef7f8, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1547af, "sk_msg_memcopy_from_iter" },
	{ 0xa32577e6, "sk_error_report" },
	{ 0x14ff047b, "register_pernet_subsys" },
	{ 0xce0c8bab, "put_cmsg" },
	{ 0x5f11314e, "__sk_flush_backlog" },
	{ 0xfaf2b282, "trace_event_buffer_commit" },
	{ 0x8b83a88f, "crypto_destroy_tfm" },
	{ 0x5a9759b0, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8eb20146, "sk_psock_tls_strp_read" },
	{ 0xc8c7b69f, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc08b5a24, "trace_event_ignore_this_pid" },
	{ 0xf67e2d5e, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9ab11418, "rt_write_unlock" },
	{ 0x5e72ed6, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x64615a76, "tcp_recv_skb" },
	{ 0x5b76dd00, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe3a7490, "perf_trace_run_bpf_submit" },
	{ 0xd6a9068a, "down_write" },
	{ 0x1debd652, "crypto_req_done" },
	{ 0xbb399d6c, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x74e12802, "crypto_aead_encrypt" },
	{ 0xd3f3a936, "sk_skb_reason_drop" },
	{ 0xa484386b, "__SCK__tp_func_sk_data_ready" },
	{ 0x845f36, "bpf_trace_run5" },
	{ 0x241633d1, "sk_free" },
	{ 0x6f707fd4, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd3ae214b, "mutex_lock" },
	{ 0xf56db538, "__sk_mem_reclaim" },
	{ 0xe4a00b2e, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5fa4e384, "trace_event_reg" },
	{ 0x362feaa5, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf67380e4, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xacf63f7d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa39b6abd, "sk_msg_return_zero" },
	{ 0x63beef41, "mutex_lock_interruptible" },
	{ 0x935bbf15, "skb_copy_datagram_iter" },
	{ 0x9108e31e, "bpf_trace_run1" },
	{ 0xb78649c3, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xcf0c3a58, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x65873da2, "sock_efree" },
	{ 0x9297a85a, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x43574e03, "clean_acked_data_disable" },
	{ 0x728d13b3, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x6b2c1bcc, "rt_spin_unlock" },
	{ 0xb7634872, "sk_msg_free_partial" },
	{ 0xd5e040f1, "down_read" },
	{ 0x5c617002, "skb_trim" },
	{ 0xfd2644ad, "mutex_trylock" },
	{ 0x62fbf9bf, "rt_spin_lock" },
	{ 0xb8529ec7, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82920693, "tcp_register_ulp" },
	{ 0xb090c98b, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x844be68a, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x84dd74a3, "skb_page_frag_refill" },
	{ 0xe0c1c39f, "trace_event_buffer_reserve" },
	{ 0x92dfa0ee, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe27f923d, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x1b675d1d, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xcefb0206, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa25f816b, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1aa28457, "seq_printf" },
	{ 0x20577826, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd4eb9584, "skb_clone" },
	{ 0x31adfecd, "dst_release" },
	{ 0xa8c4877b, "rt_write_lock" },
	{ 0x359cebe0, "_copy_from_iter" },
	{ 0xf3015650, "skb_copy_header" },
	{ 0x8ca7d424, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa51c3594, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x129df647, "netdev_sk_get_lowest_dev" },
	{ 0xc05f6a55, "sk_msg_alloc" },
	{ 0xbfa8863f, "kmalloc_trace" },
	{ 0x301f8e90, "_copy_from_iter_nocache" },
	{ 0xc18d3fdf, "tcp_rate_check_app_limited" },
	{ 0x64dc2258, "tcp_poll" },
	{ 0xd942e87, "iov_iter_revert" },
	{ 0x27e49f3f, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6f3d6480, "skb_to_sgvec" },
	{ 0x989f4de4, "up_read" },
	{ 0xab1366c3, "__mutex_rt_init" },
	{ 0x8d5ecd46, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e8b29b6, "kmalloc_caches" },
	{ 0x74cd8e28, "tcp_read_done" },
	{ 0x49d66006, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x39701108, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "067F3DCB7BB9F4023F2149C");
MODULE_INFO(rhelversion, "9.6");
